<?xml version='1.0' encoding='iso-8859-2' ?>
<!-- gsb_fo -->
<t:stylesheet version='1.0'
   xmlns:t='http://www.w3.org/1999/XSL/Transform'
   xmlns:fo='http://www.w3.org/1999/XSL/Format'>
<t:output encoding='utf-8' indent='no'/> <!--no!!-->
<!-- method='html'
     version='4.0'
     encoding='utf-8' encoding='iso-8859-2' encoding='windows-1250'
     indent='yes' indent='no'
  -->

<!-- just characters in iso-8859-2 encoding for cut&paste with diacritics -->
<!-- a e i o u u y - e z s c r d t n - A E I O U U Y - E Z S C R D T N -->
<!--        -         -         -         -->

<!-- ########## global parametrs acceptable on command line ############### -->
<t:param name='pict_dir'>/sas/app/xsl_template/zivrej/</t:param>
<t:param name='dbg' > <t:value-of select='/*/@dbg' /> </t:param>
<t:param name='bgr'> 0 <!--t:value-of select='/*/@bgr'/--> </t:param>
<t:param name='no_dscr'> 0 <!--t:value-of select='/*/@no_dscr'/--> </t:param>
<t:param name='only_dscr'> 1 <!--t:value-of select='/*/@only_dscr'/--> </t:param>
<t:param name='sw_ver'/>  <!-- not used -->
<t:param name='fop95'>0</t:param>
<t:param name='PortalHTML'>1</t:param>   <!-- 1=generovani zobrazeni na Portalu obcana v HTML, jinak generovani FO pro tisk PDF -->

<!-- ########## internal global parametrs ################################# -->
<t:variable name='scale'>1</t:variable>  <!-- needed for the common part -->
<t:variable name='font_size_ref'>10</t:variable>  <!-- measured lengths for -->
<t:variable name='font_size_act'>10</t:variable>
<t:variable name='font_size_scale'> <t:value-of select='$font_size_act div $font_size_ref'/> </t:variable>
<t:variable name='list_indent_ref'>35<!--mm--></t:variable>
<t:variable name='list_indent'> <t:value-of select='$list_indent_ref * $font_size_scale'/><!--mm--></t:variable>
<t:variable name='text_indent' >3<!--mm--></t:variable>
<t:variable name='page_width'   > 210mm </t:variable>
<t:variable name='page_height'  > 297mm </t:variable>
<t:variable name='hor_margin'   >  20mm </t:variable>
<t:variable name='top_margin'   >  15mm </t:variable>   <!-- prev. ver_margin, 15mm -->
<t:variable name='bot1_margin'   >  20mm </t:variable>  <!-- 1th page -->
<t:variable name='bot2_margin'   >  15mm </t:variable>  <!-- 2nd and later (rest) page -->
<t:variable name='footer1_height'>  18mm </t:variable>  <!-- 1th page  -->
<t:variable name='footer2_height'>  13mm </t:variable>  <!-- 2nd and later (rest) page, prev. footer_height -->
<t:variable name='fo_label_sep' >   5mm </t:variable>
<t:variable name='xml_ver'> <t:value-of select='//paiszr:Listiny@version'/> </t:variable>
<!-- not used t:variable name='doc_ver'> <t:value-of select='//paiszr:Listiny/*/@verze'/> </t:variable -->
<t:variable name='fo_text_indent'>
 <t:value-of select='concat("inherited-property-value(start-indent)+",$text_indent,"mm")'/>
</t:variable>
<t:variable name='long_descr_inline'> 1 </t:variable>
<t:variable name='wa_FOP_page_break'> 1 </t:variable>
<t:variable name='fo_ver' >GSB 0003/001</t:variable> <!-- log_ident -->

<!--
 0001 - start
-->

<!-- ########## text attributes definition ################################ -->

<!--====================================================================
The only / common place for text formatting setting
Parameters:
  - name - name of attribute section to choose
         - defaults to the name of the current node
  - suff - name suffix; appended with underscore (<name>_<suff>)
         - used mainly for list item_descr construction
         - defaults to empty - no suffix at all
  - pref - NOT USED - from historical reasons / for future usage
         - controls, whethet simple or prefixed class name is searched for
         - defualts to 0 - simple name is used
         - when empty, current "listina" is used for prefix
         - otherwise it contains the prefix part itself
=====================================================================-->

<t:template name="attributes">

 <t:param name='name'> <t:value-of select='name()'/> </t:param>
 <t:param name='suff'/>
 <t:param name='pref'> 0 </t:param>

 <t:variable name='class'>
  <t:if test='$pref!=0'>
   <t:choose>
    <t:when test='$pref=""'>
     <t:value-of select='name(ancestor-or-self::*[position()=last()-1])'/>
    </t:when>
    <t:otherwise>
     <t:value-of select='normalize-space($pref)'/>
    </t:otherwise>
   </t:choose>
   <t:text>_</t:text>
  </t:if>
  <t:value-of select='normalize-space($name)'/>
  <t:if test='$suff!=""'>
   <t:text>_</t:text>
   <t:value-of select='normalize-space($suff)'/>
  </t:if>
 </t:variable>
 <!-- just put into FO the information about class used -->
 <t:if test='$dbg>2'>
  <t:attribute name='DBG_choose_class'> <t:value-of select='$class'/> </t:attribute>
 </t:if>

 <!-- put border and fill background for visualization -->
 <t:if test='$bgr>0'>
  <t:call-template name='background_visualization'>
   <t:with-param name='pref'> <t:value-of select='$pref'/> </t:with-param>
   <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
   <t:with-param name='suff'> <t:value-of select='$suff'/> </t:with-param>
  </t:call-template>
 </t:if>
 
 <t:choose>

  <!-- main font selection -->
  <t:when test='$class="paiszr:Vypis"'>
   <t:attribute name='font-size'><t:value-of select='$font_size_act'/>pt</t:attribute> <!--10pt ref-->
   <t:attribute name='font-family'>Times New Roman</t:attribute>
   <!--t:attribute name='font-family'>Palatino Linotype</t:attribute-->
  </t:when>
  <t:when test='$class="footer"'>
   <t:attribute name='text-align'>center</t:attribute>
  </t:when>
  <t:when test='$class="version"'>
   <t:attribute name='font-size'>7pt</t:attribute>
   <t:attribute name='text-align'>right</t:attribute>
  </t:when>
  <t:when test='$class="debugshow"'>
   <t:attribute name='color'>orange</t:attribute>
  </t:when>

  <!-- directly positioned containers -->
  <t:when test='$class="paiszr:Urad_container"'>
   <t:attribute name='height'> 4.6cm </t:attribute>
   <t:attribute name='width' >10.0cm </t:attribute>
   <t:attribute name='top'   > 0.0cm </t:attribute>
   <t:attribute name='left'  > 0.0cm </t:attribute>
  </t:when>
  <t:when test='$class="ident_container"'>
   <t:attribute name='height'> 2.5cm </t:attribute>  <!-- till ver.230 2.0cm -->
   <t:attribute name='width' > 9.0cm </t:attribute>
   <t:attribute name='top'   > 4.7cm </t:attribute>
   <t:attribute name='left'  > 0.0cm </t:attribute>
  </t:when>

  <!-- common styles -->
  <t:when test='$class="list_sect" and not(
                self::VyporadaniProvozovna  or
                self::Provozovna             or
                self::OsobaZapsana          or
                self::StatutarPoZapsany )'>  <!-- these use sect for page-break only -->
   <t:if test='not(self::ProvozovnySeznam)'>  <!-- these don't use indentation -->
    <t:attribute name='start-indent'>inherited-property-value(start-indent)+3mm</t:attribute>
   </t:if>
   <t:attribute name='space-after'>1mm</t:attribute> <t:attribute name='space-after.conditionality'>retain</t:attribute>
  </t:when>
  <t:when test='$class="list_title"'>
   <t:attribute name='space-before'>1mm</t:attribute> <t:attribute name='space-before.conditionality'>retain</t:attribute>
   <t:attribute name='font-style'>italic</t:attribute>
  </t:when>
  <t:when test='$class="item_descr"'>
  </t:when>
  <t:when test='$class="item_value"'>
  </t:when>
  <!-- individual <item>_descr/value is supported too! -->

  <t:when test='self::paiszr:ZapsanoObdobi' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
   <t:attribute name='provisional-distance-between-starts'>
    <t:value-of select='concat(normalize-space($list_indent),"mm","+",$text_indent,"mm")'/>
   </t:attribute>
  </t:when>

  <!-- bold text in the right column in list_item -->
  <t:when test='normalize-space($suff)="value"      and
                not( ancestor::paiszr:AdresaPlatnost[paiszr:Platnost]  or
                     ancestor::paiszr:FunkceObdobi or
                     self::paiszr:HodnotaHistorie  or
                     self::paiszr:HodnotaPlatnost  or
                     ancestor-or-self::paiszr:VycetPlatnost  or
                     ancestor-or-self::paiszr:HodnotaPredmetDruhPlatnost  or
                     self::paiszr:Platnost  or
                     self::paiszr:ZapsanoObdobi  or
                     parent::paiszr:ProvozovnaObdobi  or
                     ancestor-or-self::paiszr:PrekazkyObdobi  or
                     ancestor-or-self::paiszr:PozastaveniObdobi  or
                     ancestor-or-self::paiszr:PreruseniObdobi  or
                     ancestor-or-self::paiszr:BezOzHistorie  or
                     ancestor-or-self::paiszr:PozastaveniNaProvozovneHistorie or
                     ancestor-or-self::paiszr:ZmenaJmena ) ' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
   <t:attribute name='font-weight'>bold</t:attribute>
  </t:when>

  <!-- individual context styles -->
  <t:when test='$class="paiszr:Urad"'>
   <t:attribute name='font-weight'>bold</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Urad2"'>
   <t:attribute name='font-weight'>normal</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:DokumentId_descr"'>
   <t:attribute name='font-family'>Arial</t:attribute>
   <t:attribute name='font-size'>9pt</t:attribute>
   <!-- line-height change meassured/needed for Arial-and-Times only: -->
   <t:attribute name='line-height'>13pt</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Subjekt"'>
   <t:attribute name='start-indent'>inherited-property-value(start-indent)</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Zivnost"'>
   <t:attribute name='start-indent'> <t:value-of select='$fo_text_indent'/> </t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Sankce"'>
   <!--t:attribute name='space-after'>inherit</t:attribute--> <!-- !! ?? -->
  </t:when>
  <t:when test='$class="paiszr:Platnost"'>
   <t:attribute name='font-style'>italic</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:ProvozovnaObor"'>
   <t:attribute name='font-style'>italic</t:attribute>
   <t:attribute name='space-before'>1mm</t:attribute> <t:attribute name='space-before.conditionality'>retain</t:attribute>
   <!--t:attribute name='start-indent'>0mm</t:attribute-->
  </t:when>
  <t:when test='ancestor-or-self::PrekazkyObdobi'>
   <t:attribute name='font-style'>italic</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Transformace"'>
   <t:attribute name='font-style'>italic</t:attribute>
   <t:attribute name='font-weight'>normal</t:attribute>
  </t:when>
  <t:when test='$class="ext_space"'>
   <t:attribute name='space-before'> <t:value-of select="1*$scale"/>mm</t:attribute> <t:attribute name='space-before.conditionality'>retain</t:attribute>
  </t:when>
  <t:when test='normalize-space($suff)="rule"'>
   <t:attribute name='rule-thickness'>0.25mm</t:attribute> <!-- dafault 1pt/0.35mm -->
  </t:when>
  <t:when test='$class="paiszr:Ukonceni"'>
   <t:attribute name='font-weight'>bold</t:attribute>
   <t:attribute name='text-align'>center</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Nadpis"'>
   <t:attribute name='space-before'>3mm</t:attribute> <t:attribute name='space-before.conditionality'>retain</t:attribute>
   <t:attribute name='font-size'>16pt</t:attribute>
   <t:attribute name='font-weight'>bold</t:attribute>
   <t:attribute name='text-align'>center</t:attribute>
   <t:attribute name='letter-spacing'> <t:value-of select="1.2"/>mm</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Nadpis2"'>
   <t:attribute name='font-size'>14pt</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Hledani" or $class="paiszr:NalezenySubjekt"'>
   <t:attribute name='start-indent'> <t:value-of select='$fo_text_indent'/> </t:attribute>
   <t:attribute name='space-before'>1mm</t:attribute> <t:attribute name='space-before.conditionality'>retain</t:attribute>
  </t:when>
  <t:when test='$class="paiszr:Vydano"'>
   <t:attribute name='space-before'>1cm</t:attribute> <t:attribute name='space-before.conditionality'>retain</t:attribute>
  </t:when>
 </t:choose>

</t:template>


<!-- ########## root node - select Listiny (ignore any other root element) ########## -->

<t:template match='/'>
 <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
   <t:apply-templates select='//paiszr:Listiny'/>
 </fo:root>
</t:template>


<!-- ########## root element - output layout-master-set & select document ########## -->

<t:template match='paiszr:Listiny' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
  <t:call-template name='layout-master-set'/>
  <t:apply-templates select='paiszr:Vypis'/>
  <t:call-template name='check_elem_flow'>
   <t:with-param name='optional'> @dbg @version pdf_prop </t:with-param>
   <t:with-param name='required'> paiszr:Vypis </t:with-param>
  </t:call-template>
</t:template>


<!-- ########## page layout description ################################### -->

<t:template name='layout-master-set'>
 <fo:layout-master-set>

  <fo:simple-page-master master-name="first_page"
                         page-width='{$page_width}' page-height='{$page_height}'>
   <fo:region-body margin-left='{$hor_margin}' margin-right='{$hor_margin}'
                   margin-top='{$top_margin}' margin-bottom='{$bot1_margin}'>
    <t:if test='$bgr>0'>
     <t:attribute name='background-color'>rgb(240,240,240)</t:attribute>
    </t:if>
   </fo:region-body>
   <fo:region-after region-name="xsl_first_page_after" extent="{$footer1_height}"/>
  </fo:simple-page-master>

  <fo:simple-page-master master-name="rest_page"
                         page-width='{$page_width}' page-height='{$page_height}'>
   <fo:region-body margin-left='{$hor_margin}' margin-right='{$hor_margin}'
                   margin-top='{$top_margin}' margin-bottom='{$bot2_margin}'>
    <t:if test='$bgr>0'>
     <t:attribute name='background-color'>rgb(240,240,240)</t:attribute>
    </t:if>
   </fo:region-body>
   <fo:region-after region-name="xsl_rest_page_after" extent="{$footer2_height}"/>
  </fo:simple-page-master>

  <fo:page-sequence-master master-name="body_page">
   <fo:repeatable-page-master-alternatives>
    <fo:conditional-page-master-reference page-position="first" master-reference="first_page"/>   
    <fo:conditional-page-master-reference page-position="rest"  master-reference="rest_page"/>   
   </fo:repeatable-page-master-alternatives>
  </fo:page-sequence-master>

 </fo:layout-master-set>
</t:template>


<!-- ########## Vypis composition ######################################### -->

<!-- just "subroutine" for multiple usage within Vypis -->
<t:template name='footer_ver_block'>
 <t:param name='left_info' select='false()'/>
 <t:if test='true() or $dbg>0'>  <!-- version is present always -->
  <t:variable name='gap'> <t:value-of select="8*$scale"/>mm</t:variable>
  <t:variable name='footer_height'>
   <t:if test='    $left_info '> <t:value-of select='$footer1_height'/> </t:if>
   <t:if test='not($left_info)'> <t:value-of select='$footer2_height'/> </t:if>
  </t:variable>
  <fo:block-container position="absolute" height="{$footer_height} - {$gap}" width="{$page_width} - 2 * {$gap}" top="0cm" left="{$gap}">
    <t:call-template name='attributes'/>
   <fo:table table-layout="fixed" width="100%">
    <fo:table-column column-width="proportional-column-width(1)"/>  <!-- dummy left column -->
    <fo:table-column column-width="{$scale*20}mm"/>  <!-- space for page numbering -->
    <fo:table-column column-width="proportional-column-width(1)"/>
    <fo:table-body>
     <fo:table-row height="from-nearest-specified-value(height)"> <!--!!-->
      <fo:table-cell display-align="after">
      <fo:block>
       <t:if test='$left_info'>
        <t:for-each select='rzp_id'>
         <fo:block> <t:call-template name='attributes'/>
          <t:for-each select='@descr'>
           <t:value-of select='.'/> <t:text> </t:text>
          </t:for-each>        
          <t:value-of select='.'/>
         </fo:block>
        </t:for-each>        
        <t:for-each select='cisprip'>
         <fo:block> <t:call-template name='attributes'/>
          <t:for-each select='@descr'>
           <t:value-of select='.'/> <t:text> </t:text>
          </t:for-each>        
          <t:value-of select='.'/>
         </fo:block>
        </t:for-each>
       </t:if>
      </fo:block>
      </fo:table-cell>
      <fo:table-cell display-align="after">
      <fo:block>
       <t:if test='not(@cislovani=0)'>
        <fo:block> <t:call-template name='attributes'>
         <t:with-param name='name'>footer</t:with-param> </t:call-template
         >Strana <fo:page-number/>
        </fo:block>
       </t:if>
      </fo:block>
      </fo:table-cell>
      <fo:table-cell display-align="after">
       <fo:block> <t:call-template name='attributes'>
         <t:with-param name='name'> version </t:with-param> </t:call-template>
        <t:value-of select='infotext'/>
        <t:if test='infotext'> <t:text> </t:text> </t:if>
        <t:value-of select='concat($xml_ver," ",$fo_ver)'/>
       </fo:block>
      </fo:table-cell>
     </fo:table-row>
    </fo:table-body>
   </fo:table>
  </fo:block-container>
 </t:if>
</t:template>

<t:template match='paiszr:Vypis' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='comment_beg'/>
 <fo:page-sequence master-reference="body_page" initial-page-number="1" force-page-count="no-force">
  <t:if test='number($fop95)'>
    <t:attribute name='line-height'>1.3</t:attribute>
  </t:if>

  <t:if test='$PortalHTML!=1'>
    <fo:static-content flow-name="xsl_first_page_after"> <t:call-template name='attributes'/>
     <t:call-template name="footer_ver_block">
      <t:with-param name='left_info' select='true()'/>
     </t:call-template>
    </fo:static-content>
  </t:if>

  <t:if test='$PortalHTML!=1'>
    <fo:static-content flow-name="xsl_rest_page_after"> <t:call-template name='attributes'/>
     <t:call-template name="footer_ver_block"/>
    </fo:static-content>
  </t:if>

  <fo:flow flow-name="xsl-region-body"> <t:call-template name='attributes'/>
   <t:apply-templates select='@debugshow'/>
   <t:if test='$PortalHTML!=1'>
      <t:apply-templates select='paiszr:Hlavicka'/>
   </t:if>
   <t:call-template name='workaround_table_beg'/>  <!-- keep from page break table workaround -->
   <t:if test='$PortalHTML!=1'>
     <t:call-template name='vspace'> <t:with-param name='height'>0.5cm</t:with-param> </t:call-template>
     <t:apply-templates select='paiszr:Nadpis'/>
     <t:apply-templates select='paiszr:Oduvodneni'/>
     <t:call-template name='vspace'>
      <t:with-param name='height'>5mm</t:with-param> 
     </t:call-template>
   </t:if>
   <t:if test='$PortalHTML=1'>
     <t:apply-templates select='paiszr:Nadpis' mode='attr_para'>
      <t:with-param name='content'> 
         <t:text>daje zapsan v ivnostenskm rejstku</t:text>
      </t:with-param>
     </t:apply-templates>
     <t:call-template name='vspace'>
      <t:with-param name='height'>5mm</t:with-param> 
     </t:call-template>
   </t:if>
   <t:apply-templates select='paiszr:Subjekt |
                              paiszr:Odstavec       '/>
   <t:call-template name='vspace'>
    <t:with-param name='height'>0.5cm</t:with-param>
    <t:with-param name='keep_with_previous'/>
   </t:call-template>
   <t:apply-templates select='paiszr:Vydano'   mode='attr_para'>
    <t:with-param name='content'> 
       <t:text>Platnost k </t:text>
       <t:value-of select='paiszr:Vydano'/> 
    </t:with-param>
    <t:with-param name='keep_with_previous'/>
   </t:apply-templates>
   <t:if test='$PortalHTML=1'> 
     <t:call-template name='attr_para'>
      <t:with-param name='content'> 
          <t:text>Verze RP : </t:text>
          <t:value-of select='concat($xml_ver," ",$fo_ver)'/>
      </t:with-param>
     </t:call-template>
   </t:if>    
   <t:call-template name='check_elem'>
    <t:with-param name='required'> paiszr:Hlavicka paiszr:Nadpis paiszr:Oduvodneni paiszr:Vydano </t:with-param>
    <t:with-param name='optional'>
     paiszr:Subjekt @verze @cislovani @debugshow paiszr:Odstavec
    </t:with-param>
   </t:call-template>
   <t:call-template name='workaround_table_end'/>  <!-- keep from page break table workaround -->
  </fo:flow>

 </fo:page-sequence>
 <t:call-template name='comment_end'/>
</t:template>

<!-- ########## Hlavicka & direct/only children ########################### -->

<t:template match='paiszr:Hlavicka' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='comment_beg'/>

 <t:variable name='full_header'>
  <t:if test='paiszr:Urad | paiszr:DokumentId '> 1 </t:if>
 </t:variable>

 <t:if test='$full_header>0'>
  <fo:block-container position="absolute"> <t:call-template name='attributes'>
    <t:with-param name='name'> paiszr:Urad_container </t:with-param> </t:call-template>
   <t:call-template name='workaround_table_beg'/>  <!-- keep from page break table workaround -->
   <t:apply-templates select='@logo'/>
   <t:call-template name='vspace'> <t:with-param name='height'>2mm</t:with-param> </t:call-template>
   <t:apply-templates select='paiszr:Urad' mode='attr_para'> <t:with-param name='cont2'/> </t:apply-templates>
   <t:call-template name='workaround_table_end'/>  <!-- keep from page break table workaround -->
  </fo:block-container>

  <t:if test='paiszr:DokumentId'>
  <fo:block-container position="absolute"> <t:call-template name='attributes'>
    <t:with-param name='name'> ident_container </t:with-param> </t:call-template>
   <t:call-template name='workaround_table_beg'/>  <!-- keep from page break table workaround -->
   <t:apply-templates select='paiszr:DokumentId'   mode='ident_container'/>
   <t:call-template name='workaround_table_end'/>  <!-- keep from page break table workaround -->
  </fo:block-container>
  </t:if>
 </t:if>

 <t:call-template name='workaround_table_beg'/>  <!-- keep from page break table workaround -->

 <t:if test='$full_header>0'>
  <t:call-template name='vspace'> <t:with-param name='height'>7.5cm</t:with-param> </t:call-template>  <!-- till ver.230 7.0cm -->
 </t:if>

 <t:call-template name='check_elem'>
  <t:with-param name='required'>
   <t:if test='$full_header>0'> paiszr:Urad paiszr:DokumentId </t:if>
  </t:with-param>
 </t:call-template>

 <t:call-template name='workaround_table_end'/>  <!-- keep from page break table workaround -->

 <t:call-template name='comment_end'/>
</t:template>

<t:template match='@logo' name='logo'>
 <t:param name='file'> <t:value-of select='.'/> </t:param>
 <t:param name='content_type'>
  <t:choose>
   <t:when test='contains($file,".gif")  or contains($file,".GIF")'>image/gif</t:when>
   <t:when test='contains($file,".jpg")  or contains($file,".JPG") or
                 contains($file,".jpeg") or contains($file,".JPEG")'>image/jpg</t:when>
   <t:otherwise>image/gif</t:otherwise>
  </t:choose>
 </t:param>
 <t:param name='height'>2.2cm</t:param>
 <t:variable name='src'> <t:value-of select='concat( $pict_dir, $file)'/> </t:variable>
 <t:call-template name='workaround_cell_beg'/>  <!-- keep from page break table workaround -->
 <fo:block> <t:call-template name='attributes'>
   <t:with-param name='name'>logo</t:with-param>
  </t:call-template>
  <fo:external-graphic content-type="content-type:{$content_type}"
                       src="{$src}"
                       height="{$height}" content-height="{$height}"/>
 </fo:block>
 <t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->
</t:template>

<t:template match='*' mode='ident_container'>
 <t:call-template name='list_item'>
  <t:with-param name='list_indent'> 22 <!--mm--> </t:with-param>
  <t:with-param name='no_gap'/>
 </t:call-template>
</t:template>

<!-- ########## Nadpis ############################################### -->
<t:template match='paiszr:Nadpis' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='attr_para'> <t:with-param name='cont2'/> </t:call-template>
 <t:if test='name()!=name(following-sibling::*[1])'>
  <t:call-template name='vspace'> <t:with-param name='height'>3mm</t:with-param> </t:call-template>
 </t:if>
</t:template>


<!-- ########## Hledani, NalezenySubjekt ############################## -->

<!-- skip empty Hledani -->
<t:template match='paiszr:Hledani[not(*)]' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1"/>

<t:template match='paiszr:Hledani | paiszr:NalezenySubjekt' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_sect'>
  <t:with-param name='keep_together'>1</t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Hledani' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:JmenoPrijmeni' mode='list_item'/>
 <t:apply-templates select='paiszr:DatumNarozeni' mode='list_item'/>
 <t:apply-templates select='paiszr:AdresaText'    mode='list_item'/>
 <t:call-template name='vspace'> <t:with-param name='height'>5mm</t:with-param> </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:JmenoPrijmeni paiszr:DatumNarozeni paiszr:AdresaText </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:NalezenySubjekt' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Nazev'  mode='list_item'/>
 <t:apply-templates select='paiszr:Ico'    mode='list_item'/>
 <t:apply-templates select='paiszr:Role'   mode='list_item'/>
 <t:call-template name='vspace'> <t:with-param name='height'>5mm</t:with-param> </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Nazev paiszr:Ico paiszr:Role</t:with-param>
 </t:call-template>
</t:template>

<!-- ########## Oduvodneni ################################ -->

<t:template match='paiszr:Oduvodneni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='attr_para'>
  <t:with-param name='indent'>
   <t:if test='@odsaz>0 or not(@odsaz)'>1cm</t:if>
  </t:with-param>
  <t:with-param name='before'>
   <t:if test='@vynech>0 or not(@vynech)'>3mm</t:if>
  </t:with-param>
  <t:with-param name='keep_with_previous'>
   <t:value-of select='0'/>
  </t:with-param>
  <t:with-param name='keep_with_next'>
   <t:value-of select='0'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:OduvodneniCast </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Vydano' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
  <t:call-template name='attr_para'>
    <t:with-param name='keep_with_previous'
                  select='not(preceding-sibling::*[1][self::html_odst or self::Provozovna])'/>
  </t:call-template>
 <t:call-template name='check_elem'/>
</t:template>

<!-- ########## Odstavec ################################ -->

<t:template match='paiszr:Odstavec' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_sect'>
  <t:with-param name='name'>
   <t:if test='@descr!=""'> <t:value-of select='local-name()'/> </t:if>
  </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Odstavec' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hledani'/>
 <t:apply-templates select='paiszr:NalezenySubjekt'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hledani </t:with-param>
  <t:with-param name='optional'> paiszr:NalezenySubjekt </t:with-param>
 </t:call-template>
</t:template>

<!-- ########## subject & direct/only children ############################ -->

<t:template match='paiszr:Subjekt' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Ukonceni'/>
 <t:apply-templates select='paiszr:Konkurz'/>
 <t:apply-templates select='paiszr:Likvidace'  mode='list_item'/>
 <t:apply-templates select='paiszr:Prekazky'/>
 <t:apply-templates select='paiszr:Podnikatel'/> <!-- prev: mode='list_cont'/-->
 <t:apply-templates select='paiszr:ObchodniJmenoFO | paiszr:ObchodniJmenoPO'/>
 <t:apply-templates select='paiszr:Sidlo'/>
 <t:apply-templates select='paiszr:OrganizacniSlozkaOznaceni'/>
 <t:apply-templates select='paiszr:OrganizacniSlozka'/>
 <t:apply-templates select='paiszr:Ico'/>
 <t:apply-templates select='paiszr:DorucovaciAdresa'/>
 <t:apply-templates select='paiszr:Prvovypis'  mode='list_item'/>
 <t:apply-templates select='paiszr:Statutar'   mode='list_sect'/>
 <t:apply-templates select='paiszr:Vedouci'    mode='list_sect'> <t:with-param name='keep_together'/> </t:apply-templates>
 <t:apply-templates select='paiszr:ZivnostiSeznam'/>
 <t:apply-templates select='paiszr:Zastupce'   mode='list_sect'/>
 <t:apply-templates select='paiszr:Dedic'      mode='list_sect'/>
 <t:apply-templates select='paiszr:ProvozovnySeznam' mode='list_sect'>
  <t:with-param name='ruler'> <t:if test='paiszr:VyporadaniZavazku | paiszr:OsobySeznam | paiszr:SankceSeznam'> -1 </t:if> </t:with-param>
 </t:apply-templates>
 <t:apply-templates select='paiszr:VyporadaniZavazku' mode='list_sect'>
  <t:with-param name='ruler'> <t:if test='paiszr:OsobySeznam | paiszr:SankceSeznam'> -1 </t:if> </t:with-param>
 </t:apply-templates>
 <t:apply-templates select='paiszr:OsobySeznam'>
   <t:with-param name='ruler'> <t:if test='paiszr:SankceSeznam'> -1 </t:if> </t:with-param>
 </t:apply-templates>
 <t:apply-templates select='paiszr:SankceSeznam' mode='list_sect'/>
 <t:apply-templates select='paiszr:EvidujiciUrad'    mode='list_item'/>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'>
   paiszr:Konkurz paiszr:Likvidace paiszr:ObchodniJmenoFO paiszr:ObchodniJmenoPO paiszr:Ico paiszr:Podnikatel paiszr:Sidlo paiszr:OrganizacniSlozkaOznaceni paiszr:OrganizacniSlozka paiszr:DorucovaciAdresa paiszr:Prvovypis
   paiszr:Statutar paiszr:Vedouci paiszr:Prekazky paiszr:ZivnostiSeznam paiszr:Zastupce paiszr:Dedic paiszr:ProvozovnySeznam paiszr:VyporadaniZavazku paiszr:OsobySeznam paiszr:SankceSeznam paiszr:EvidujiciUrad paiszr:Ukonceni
  </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Konkurz' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:variable name='descr' select='@descr'/>
 <t:apply-templates select='paiszr:Hodnota' mode='list_item'>
   <t:with-param name='descr'><t:value-of select='@descr'/> </t:with-param>
 </t:apply-templates>
 <t:if test='paiszr:HodnotaHistorie'>
  <t:call-template name='list_sect'> <t:with-param name='name'/> <t:with-param name='keep_together'/> </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:Hodnota paiszr:HodnotaHistorie </t:with-param>
  <t:with-param name='required'/>
 </t:call-template>
</t:template>

<t:template match='paiszr:Konkurz' mode="list_cont" xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaHistorie'/>
</t:template>

<t:template match='paiszr:ObchodniJmenoFO | paiszr:ObchodniJmenoPO | paiszr:Ico |
                   paiszr:JmenoPrijmeniPlatnost | paiszr:RodneCisloPlatnost | paiszr:DatumNarozeniPlatnost | paiszr:ObcanstviPlatnost ' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hodnota' mode='list_item'>
  <t:with-param name='name'> <t:value-of select='name()'/> </t:with-param>
 </t:apply-templates>
 <t:if test='paiszr:HodnotaPlatnost'>
  <t:call-template name='list_sect'> <t:with-param name='name'/> <t:with-param name='keep_together'/> </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:Platnost paiszr:HodnotaPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:OrganizacniSlozkaOznaceni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:variable name='descr' select='@descr'/>
 <t:for-each select='paiszr:HodnotaAktualni'>
   <t:call-template name="list_item">
    <t:with-param name='descr' select='$descr'/>
    <t:with-param name='content' select='paiszr:HodnotaHistorie'/>
   </t:call-template>
   <t:apply-templates select="paiszr:Platnost"/>
   <t:call-template name='check_elem'>
    <t:with-param name='required'> paiszr:HodnotaHistorie </t:with-param>
    <t:with-param name='optional'> paiszr:Platnost </t:with-param>
   </t:call-template>
 </t:for-each>
 <t:if test='paiszr:HodnotaPlatnost'>
  <t:call-template name='list_sect'> <t:with-param name='name'/> <t:with-param name='keep_together'/> </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:HodnotaAktualni </t:with-param>
  <t:with-param name='optional'> paiszr:HodnotaPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ObchodniJmenoFO | paiszr:ObchodniJmenoPO | paiszr:Ico | paiszr:OrganizacniSlozkaOznaceni |
                   paiszr:JmenoPrijmeniPlatnost | paiszr:RodneCisloPlatnost | paiszr:DatumNarozeniPlatnost | paiszr:ObcanstviPlatnost' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaPlatnost'/>
</t:template>

<t:template match='paiszr:HodnotaHistorie' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='repeat'/>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'>  <!-- !! Konkurz w/, obcjme w/o -->
   <t:value-of select='@descr'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'/>
</t:template>

<t:template match='paiszr:HodnotaPlatnost' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaHistorie'/>
 <t:apply-templates select='paiszr:Platnost'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:HodnotaHistorie paiszr:Platnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Podnikatel' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">  <!-- prev: mode='list_cont'-->
 <t:apply-templates select='paiszr:Osoba'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Osoba </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Sidlo | paiszr:DorucovaciAdresa | paiszr:OrganizacniSlozka | paiszr:Bydliste | paiszr:Pobyt' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Adresa'/>
 <t:if test='paiszr:AdresaPlatnost'>
  <t:call-template name='list_sect'> <t:with-param name='name'/> <!--t:with-param name='keep_together'/--> </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Adresa </t:with-param>
  <t:with-param name='optional'> paiszr:AdresaPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Sidlo | paiszr:DorucovaciAdresa | paiszr:OrganizacniSlozka | paiszr:Bydliste | paiszr:Pobyt' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:AdresaPlatnost'/>
</t:template>

<t:template match='paiszr:Statutar' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:OsobaZapsana | paiszr:StatutarPoZapsany' mode='list_sect'>
   <t:with-param name='name'/>
  <t:with-param name='keep_together'/>
 </t:apply-templates>
 
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:OsobaZapsana paiszr:StatutarPoZapsany</t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Vedouci | paiszr:ZastupceStatutaraPo' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:OsobaZapsana' mode='list_sect'>
  <t:with-param name='name'/>
  <t:with-param name='keep_together'/>
 </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:OsobaZapsana </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Zastupce | paiszr:Dedic' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:OsobaVeFunkci' mode='list_sect'>
  <t:with-param name='name'/>
  <t:with-param name='keep_together'/>
 </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:OsobaVeFunkci </t:with-param>
  <t:with-param name='optional'/>
 </t:call-template>
</t:template>

<t:template match='paiszr:OsobaVeFunkci' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:JmenoPrijmeni' mode='list_item'/>
 <t:apply-templates select='paiszr:RodneCislo' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
 <t:apply-templates select='paiszr:DatumNarozeni' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
 <t:apply-templates select='paiszr:VeFunkci'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:JmenoPrijmeni paiszr:VeFunkci </t:with-param>
  <t:with-param name='optional'> paiszr:RodneCislo paiszr:DatumNarozeni </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:VeFunkci' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Ustanoven' mode='list_item'>
  <t:with-param name='no_gap'/>
 </t:apply-templates>
 <!-- variant solution -->
 <t:apply-templates select='paiszr:FunkceObdobi'/>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:Ustanoven paiszr:FunkceObdobi </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:FunkceObdobi' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Ustanoven' mode='list_item'>
  <t:with-param name='no_gap'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:Ukoncen' mode='list_item'>
  <t:with-param name='no_gap'/>
 </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:Ustanoven paiszr:Ukoncen</t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:OsobaZapsana' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:JmenoPrijmeni' mode='list_item'/>
 <t:apply-templates select='paiszr:RodneCislo' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
 <t:apply-templates select='paiszr:DatumNarozeni' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
 <t:apply-templates select='paiszr:Zapsano'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:JmenoPrijmeni </t:with-param>
  <t:with-param name='optional'> paiszr:Zapsano paiszr:RodneCislo paiszr:DatumNarozeni </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:StatutarPoZapsany' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:ObchodniJmenoPO' mode='list_item'/>
 <t:apply-templates select='paiszr:Ico' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
  <t:apply-templates select='paiszr:Zapsano'/>
  <t:apply-templates select='paiszr:ZastupceStatutaraPo'    mode='list_sect'>
   <t:with-param name='repeat'> 0 </t:with-param>
   <t:with-param name='keep_together'/>
  </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:ObchodniJmenoPO paiszr:Zapsano </t:with-param>
  <t:with-param name='optional'> paiszr:Ico paiszr:ZastupceStatutaraPo </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Zapsano' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:ZahajeniFunkce' mode='list_item'>
  <t:with-param name='no_gap'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:UkonceniFunkce' mode='list_item'>
  <t:with-param name='no_gap'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:ZapsanoOd' mode='list_item'>
  <t:with-param name='name'>paiszr:Zapsano</t:with-param>
  <t:with-param name='no_gap'/>
  <t:with-param name='content'>
   <t:variable name='od_descr'> <t:apply-templates select='paiszr:ZapsanoOd[1]' mode='get_text'/> </t:variable>
   <t:value-of select='$od_descr'/>
   <t:if test='$od_descr!=""'> <t:text> </t:text> </t:if>
   <t:value-of select='paiszr:ZapsanoOd'/>
  </t:with-param>
 </t:apply-templates>
 <!-- variant solution -->
 <t:apply-templates select='paiszr:ZapsanoObdobi'/>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:ZapsanoOd paiszr:ZapsanoObdobi paiszr:ZahajeniFunkce paiszr:UkonceniFunkce</t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ZapsanoObdobi' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='descr'>
   <t:if test='position()=1 and not(../paiszr:ZapsanoOd)'>
    <t:apply-templates select='..' mode='get_text'/>
   </t:if>
  </t:with-param>
  <t:with-param name='no_gap'/>
  <t:with-param name='content'>

   <t:variable name='od_descr'> <t:apply-templates select='paiszr:ZapsanoOd[1]' mode='get_text'/> </t:variable>
   <t:value-of select='$od_descr'/>
   <t:if test='$od_descr!=""'> <t:text> </t:text> </t:if>

   <t:variable name='paiszr:ZapsanoOd'> <t:value-of select='paiszr:ZapsanoOd'/> </t:variable>
   <t:value-of select='$paiszr:ZapsanoOd'/>
   <t:if test='$paiszr:ZapsanoOd!=""'> <t:text> </t:text> </t:if>

   <t:variable name='do_descr'> <t:apply-templates select='paiszr:ZapsanoDo[1]' mode='get_text'/> </t:variable>
   <t:value-of select='$do_descr'/>
   <t:if test='$do_descr!=""'> <t:text> </t:text> </t:if>

   <t:value-of select='paiszr:ZapsanoDo'/>

  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:ZapsanoOd paiszr:ZapsanoDo </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:SankceSeznam' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Sankce'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Sankce </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Sankce' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='repeat'>1</t:with-param>
  <t:with-param name='content'>
  
   <t:variable name='castka'> <t:value-of select='paiszr:SankcePokutaCastka'/> </t:variable>
   <t:value-of select='$castka'/>
   <t:if test='$castka!=""'> <t:text> </t:text> </t:if>

   <t:variable name='castka_descr'> <t:apply-templates select='paiszr:SankcePokutaCastka[1]' mode='get_text'/> </t:variable>
   <t:value-of select='$castka_descr'/>
   <t:if test='$castka_descr!=""'> <t:text> </t:text> </t:if>

   <t:variable name='datum_descr'>  <t:apply-templates select='paiszr:SankcePokutaDatum[1]'  mode='get_text'/> </t:variable>
   <t:value-of select='$datum_descr'/>
   <t:if test='$datum_descr!=""'> <t:text> </t:text> </t:if>

   <t:variable name='datum'> <t:value-of select='paiszr:SankcePokutaDatum'/> </t:variable>
   <t:value-of select='$datum'/>
   <t:if test='$datum!=""'> <t:text> </t:text> </t:if>

   <t:value-of select='SakncePokutaText'/>

  </t:with-param>
 </t:call-template>

 <t:apply-templates select='paiszr:SankcePokutaDuvod' mode='list_item'>
  <t:with-param name='keep_with_previous'>1</t:with-param>
  <t:with-param name='no_gap'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:SankcePokutaUlozil' mode='list_item'>
  <t:with-param name='keep_with_previous'>1</t:with-param>
  <t:with-param name='no_gap'/>
 </t:apply-templates>

 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:SankcePokutaDatum paiszr:SankcePokutaUlozil paiszr:SankcePokutaDuvod</t:with-param>
  <t:with-param name='optional'> paiszr:SankcePokutaCastka </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Ukonceni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='attr_para'/>
 <t:call-template name='ruler'/>
 <t:call-template name='check_elem'>
 </t:call-template>
</t:template>

<!-- ########## Zivnost & direct/only children ############################ -->

<t:template match='paiszr:ZivnostiSeznam' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Zivnost' mode='list_sect'>
  <t:with-param name='ruler'>
   <t:if test='../paiszr:ProvozovnySeznam | ../paiszr:VyporadaniZavazku | ../paiszr:OsobySeznam'> -1 </t:if>
  </t:with-param>
 </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Zivnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovnySeznam' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:ProvozovnaSkupina'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'>
    <t:if test='paiszr:PredmetZivnost'> <t:value-of select='name()'/> </t:if>
    <!-- else - w/o PredmetZivnost - empty name - no title row at all -->
   </t:with-param>
   <t:with-param name='title'>
    <t:value-of select='paiszr:PredmetZivnost'/>
   </t:with-param>
   <t:with-param name='ruler'> -2 </t:with-param>
  </t:call-template>
 </t:for-each>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:ProvozovnaSkupina </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovnaSkupina' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Provozovna | paiszr:ProvozovnaObor'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Provozovna </t:with-param>
  <t:with-param name='optional'> paiszr:PredmetZivnost paiszr:ProvozovnaObor </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Provozovna' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_sect'>
  <t:with-param name='name'/>
  <t:with-param name='keep_together'/>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovnaObor' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <!-- needed to keep ProvozovnaObor with Provozovna following -->
 <t:variable name='keep_with_next2' select='not(not(following-sibling::Provozovna))'/>
 <!-- backw.compatib. - workaround_cell_beg should use number(...) construction -->
 <t:variable name='keep_with_next'>
   <t:if test='    $keep_with_next2 '> 1 </t:if>
   <t:if test='not($keep_with_next2)'> 0 </t:if>
 </t:variable>
 <t:call-template name='attr_para'>
  <t:with-param name='keep_with_next' select='$keep_with_next'/> 
  <t:with-param name='content'> 
     <t:value-of select='@descr'/>
     <t:text> </t:text>
     <t:value-of select='.'/>      
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='keep_with_next' select='$keep_with_next'/> 
  <t:with-param name='required'> @descr </t:with-param>
  <t:with-param name='optional'> </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:VyporadaniZavazku' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:Vyporadani'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'>
    <t:if test='paiszr:VyporadaniMisto'> <t:value-of select='name()'/> </t:if>
    <!-- else - w/o VyporadaniMisto - empty name - no title row at all -->
   </t:with-param>
   <t:with-param name='title'>
    <t:value-of select='paiszr:VyporadaniMisto'/>
   </t:with-param>
   <t:with-param name='ruler'> -2 </t:with-param>
  </t:call-template>
 </t:for-each>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Vyporadani </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Vyporadani' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:VyporadaniProvozovna | paiszr:ProvozovnaObor'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:VyporadaniProvozovna </t:with-param>
  <t:with-param name='optional'> paiszr:VyporadaniMisto paiszr:ProvozovnaObor </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:VyporadaniProvozovna' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_sect'>
  <t:with-param name='name'/>
  <t:with-param name='keep_together'/>
 </t:call-template>
</t:template>

<t:template match='paiszr:VyporadaniProvozovna' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:ProvozovnaNazev'   mode='list_item'/>
 <t:apply-templates select='paiszr:ProvozovnaUmisteni'   mode='list_item'/>
 <t:apply-templates select='paiszr:ProvozovnaAdresa'/>
 <t:apply-templates select='paiszr:ProvozovnaIcp'   mode='list_item'/>
 <t:apply-templates select='paiszr:ProvozovnaUkonceni' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:ProvozovnaUkonceni </t:with-param>
  <t:with-param name='optional'> paiszr:ProvozovnaNazev paiszr:ProvozovnaUmisteni paiszr:ProvozovnaAdresa paiszr:ProvozovnaIcp </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:OsobySeznam' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Osoba | paiszr:StatutarPo' mode='list_sect'>
  <t:with-param name='keep_together'/>
  <t:with-param name='ruler'/>
  <t:with-param name='title'>
   <t:call-template name='get_text'/>
  </t:with-param>
  <t:with-param name='repeat'> 0 </t:with-param>
 </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:Osoba paiszr:StatutarPo </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Zivnost' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Predmet'/>
 <t:apply-templates select='paiszr:Podminky'/>
 <t:apply-templates select='paiszr:Obor'/>
 <t:apply-templates select='Rozsah'/>
 <t:apply-templates select='paiszr:Druh'/>
 <t:apply-templates select='paiszr:Prumysl'/>
 <t:apply-templates select='paiszr:DatumVzniku'    mode='list_item'/>
 <t:apply-templates select='paiszr:PlatnostZivnosti'/>
 <t:apply-templates select='paiszr:ProvozovaniBezOz'/>
 <t:apply-templates select='paiszr:Prekazky'/>
 <t:apply-templates select='paiszr:Pozastaveni'/>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovne'/>
 <t:apply-templates select='paiszr:Preruseni'/>
 <t:apply-templates select='paiszr:Zanik'/>
 <t:apply-templates select='paiszr:Zastupce'     mode='list_sect'/>
 <t:apply-templates select='paiszr:Dedic'        mode='list_sect'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Predmet </t:with-param>
  <t:with-param name='optional'>
   paiszr:Podminky paiszr:Obor Rozsah paiszr:Druh paiszr:Prumysl paiszr:ProvozovaniBezOz paiszr:Prekazky paiszr:DatumVzniku
   paiszr:PlatnostZivnosti paiszr:Pozastaveni paiszr:PozastaveniNaProvozovne paiszr:Preruseni paiszr:Zanik paiszr:Zastupce paiszr:Dedic
  </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Predmet | paiszr:Druh' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaPredmetDruh'/>
 <t:if test='paiszr:HodnotaPredmetDruhPlatnost'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
   <t:with-param name='keep_together'/>
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:HodnotaPredmetDruh </t:with-param>
  <t:with-param name='optional'> paiszr:HodnotaPredmetDruhPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Predmet | paiszr:Druh' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaPredmetDruhPlatnost'/>
</t:template>

<t:template match='paiszr:HodnotaPredmetDruh' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='descr'> <t:apply-templates select='..' mode='get_text'/> </t:with-param>
  <t:with-param name='content'> <t:value-of select='paiszr:Hodnota'/> </t:with-param>
  <t:with-param name='item_content'/>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:Transformace </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:HodnotaPredmetDruhPlatnost' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <t:with-param name='content'> <t:value-of select='paiszr:HodnotaHistorie'/> </t:with-param>
  <t:with-param name='item_content'/>
 </t:call-template>
 <t:apply-templates select='paiszr:Platnost'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:HodnotaHistorie paiszr:Platnost </t:with-param>
  <t:with-param name='optional'> paiszr:Transformace </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:HodnotaPredmetDruh | paiszr:HodnotaPredmetDruhPlatnost' mode='item_content' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:Transformace'>
  <t:call-template name='attr_text'>
   <t:with-param name='content'>
    <t:value-of select='concat(" (",.,")")'/>
   </t:with-param>
  </t:call-template>
 </t:for-each>
</t:template>


<t:template match='paiszr:Obor | paiszr:Prumysl' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Vycet'/>
 <t:if test='paiszr:VycetPlatnost'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
   <!-- all VycetPlatnost can bee too large, can't be kept together -->
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:Vycet paiszr:VycetPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Obor | paiszr:Prumysl' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">  <!-- used previously -->
 <t:apply-templates select='paiszr:VycetPlatnost'/>
</t:template>

<t:template match='paiszr:Vycet' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:Hodnota[normalize-space(.)!=""]'>
  <t:call-template name='list_item'>
   <t:with-param name='name'> <t:value-of select='name(../..)'/> </t:with-param>
  </t:call-template>
 </t:for-each>
</t:template>

<t:template match='paiszr:VycetPlatnost' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:Hodnota'>
  <t:call-template name='list_item'>
   <t:with-param name='descr'/>
   <!--t:with-param name='name'> <t:value-of select='name(../..)'/> </t:with-param-->
  </t:call-template>
 </t:for-each>
 <t:apply-templates select='paiszr:Platnost'/>
</t:template>

<t:template match='Rozsah' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:Hodnota'>
  <t:call-template name='list_item'>
   <t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param>
  </t:call-template>
 </t:for-each>
 <t:if test='not(paiszr:Hodnota)'>
  <t:call-template name='list_item'>
   <t:with-param name='name'> <t:value-of select='name()'/> </t:with-param>
   <t:with-param name='content'/>
  </t:call-template>
 </t:if>
 <t:if test='paiszr:HodnotaPlatnost'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
   <t:with-param name='keep_together'/>
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:Hodnota paiszr:HodnotaPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='Rozsah' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaPlatnost'/>
</t:template>

<t:template match='paiszr:Podminky' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:Hodnota'>
  <t:call-template name='list_item'>
   <t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param>
  </t:call-template>
 </t:for-each>
 <t:if test='not(paiszr:Hodnota)'>
  <t:call-template name='list_item'>
   <t:with-param name='name'> <t:value-of select='name()'/> </t:with-param>
   <t:with-param name='content'/>
  </t:call-template>
 </t:if>
 <t:if test='paiszr:HodnotaPlatnost'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:Hodnota paiszr:HodnotaPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Podminky' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaPlatnost'/>
</t:template>

<t:template match='paiszr:PozastaveniNaProvozovne' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='attr_para'>
   <t:with-param name='content'>
    <t:call-template name='get_text'/>
   </t:with-param>     
 </t:call-template>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneAktualni'/>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneHistorie' mode='list_sect'>
    <t:with-param name='name'/>
 </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PozastaveniNaProvozovneAktualni paiszr:PozastaveniNaProvozovneHistorie </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PozastaveniNaProvozovneAktualni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Provozovna'/>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneZahajeni'/>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneUkonceni'/>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneRozsah'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Provozovna paiszr:PozastaveniNaProvozovneZahajeni paiszr:PozastaveniNaProvozovneUkonceni</t:with-param>
  <t:with-param name='optional'> paiszr:PozastaveniNaProvozovneRozsah</t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PozastaveniNaProvozovneHistorie'  mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Provozovna'/>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneZahajeni'> </t:apply-templates>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneUkonceni'> </t:apply-templates>
 <t:apply-templates select='paiszr:PozastaveniNaProvozovneRozsah'> </t:apply-templates>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Provozovna paiszr:PozastaveniNaProvozovneZahajeni paiszr:PozastaveniNaProvozovneUkonceni</t:with-param>
  <t:with-param name='optional'> paiszr:PozastaveniNaProvozovneRozsah</t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Provozovna[parent::paiszr:PozastaveniNaProvozovneAktualni | parent::paiszr:PozastaveniNaProvozovneHistorie]' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:ProvozovnaNazev'/>
 <t:apply-templates select='paiszr:ProvozovnaUmisteni'/>
 <t:apply-templates select='paiszr:ProvozovnaAdresa'/>
 <t:apply-templates select='paiszr:ProvozovnaIcp'/>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:ProvozovnaNazev paiszr:ProvozovnaUmisteni paiszr:ProvozovnaAdresa paiszr:ProvozovnaIcp </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PozastaveniNaProvozovneZahajeni | paiszr:PozastaveniNaProvozovneUkonceni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <t:with-param name='content'>
   <t:variable name='descr'>
    <t:apply-templates select='.' mode='get_text'/>
   </t:variable>
  <t:value-of select='concat($descr,": ",.)'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PozastaveniNaProvozovneZahajeni paiszr:PozastaveniNaProvozovneRozsah </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PozastaveniNaProvozovneAktualni/paiszr:Provozovna/paiszr:ProvozovnaNazev | paiszr:PozastaveniNaProvozovneHistorie/paiszr:Provozovna/paiszr:ProvozovnaNazev' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='descr'/>
  <t:with-param name='content'>
   <t:variable name='descr'>
    <t:apply-templates select='.' mode='get_text'/>
   </t:variable>
  <t:value-of select='concat($descr," ",.)'/>
  </t:with-param>
 </t:call-template>
</t:template>       

<t:template match='paiszr:PozastaveniNaProvozovneAktualni/paiszr:Provozovna/paiszr:ProvozovnaUmisteni | paiszr:PozastaveniNaProvozovneHistorie/paiszr:Provozovna/paiszr:ProvozovnaUmisteni | paiszr:PozastaveniNaProvozovneAktualni/paiszr:Provozovna/paiszr:ProvozovnaIcp | paiszr:PozastaveniNaProvozovneHistorie/paiszr:Provozovna/paiszr:ProvozovnaIcp' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <t:with-param name='content'>
   <t:variable name='descr'>
    <t:apply-templates select='.' mode='get_text'/>
   </t:variable>
  <t:value-of select='concat($descr," ",.)'/>
  </t:with-param>
 </t:call-template>
</t:template>       

<t:template match='paiszr:PozastaveniNaProvozovneAktualni/paiszr:Provozovna/paiszr:ProvozovnaAdresa | paiszr:PozastaveniNaProvozovneHistorie/paiszr:Provozovna/paiszr:ProvozovnaAdresa' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hodnota'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PozastaveniNaProvozovneAktualni/paiszr:Provozovna/paiszr:ProvozovnaAdresa/paiszr:Hodnota | paiszr:PozastaveniNaProvozovneHistorie/paiszr:Provozovna/paiszr:ProvozovnaAdresa/paiszr:Hodnota' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <t:with-param name='content'>
   <t:variable name='descr'>
    <t:apply-templates select='..' mode='get_text'/>
   </t:variable>
  <t:value-of select='concat($descr," ",.)'/>
  </t:with-param>
 </t:call-template>
</t:template>       


<t:template match='paiszr:PozastaveniNaProvozovneRozsah' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
   <t:with-param name='descr'/>
   <t:with-param name='no_gap'/>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PozastaveniNaProvozovneRozsah </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovaniBezOz' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:BezOzAktualni'/>
 <t:if test='not(paiszr:BezOzAktualni)'>
  <t:call-template name='list_item'>
   <t:with-param name='content'/>
  </t:call-template>
 </t:if>
 <t:if test='paiszr:BezOzHistorie'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
   <t:with-param name='keep_together'/>
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:BezOzAktualni paiszr:BezOzHistorie </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:BezOzAktualni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param>
  <t:with-param name='content'>
   <t:variable name='od_descr'>       <t:apply-templates select='paiszr:BezOzOd[1]'   mode='get_text'/> </t:variable>
   <t:value-of select='concat($od_descr," ",paiszr:BezOzOd," ",paiszr:BezOzRozsah)'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:BezOzOd </t:with-param>
  <t:with-param name='optional'> paiszr:BezOzRozsah </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovaniBezOz' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:BezOzHistorie'/>
</t:template>

<t:template match='paiszr:BezOzHistorie' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <t:with-param name='content'>
   <t:variable name='od_descr'>       <t:apply-templates select='paiszr:BezOzOd[1]'   mode='get_text'/> </t:variable>
   <t:variable name='do_descr'>       <t:apply-templates select='paiszr:BezOzDo[1]'   mode='get_text'/> </t:variable>
   <t:value-of select='concat($od_descr," ",paiszr:BezOzOd," ",$do_descr," ",paiszr:BezOzDo," ",paiszr:BezOzRozsah)'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:BezOzOd paiszr:BezOzDo </t:with-param>
  <t:with-param name='optional'> paiszr:BezOzRozsah </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Pozastaveni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:PozastaveniAktualni'/>
 <t:if test='not(paiszr:PozastaveniAktualni)'>
  <t:call-template name='list_item'>
   <t:with-param name='content'/>
  </t:call-template>
 </t:if>
 <t:if test='paiszr:PozastaveniObdobi'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
   <t:with-param name='keep_together'/>
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PozastaveniAktualni paiszr:PozastaveniObdobi </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PozastaveniAktualni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='descr'> <t:apply-templates select='..' mode='get_text'/> </t:with-param>
  <t:with-param name='no_gap'/>
  <t:with-param name='content'>
   <t:apply-templates select='paiszr:PozastavenoOd' mode='get_text'/>
   <t:text> </t:text>
   <t:value-of select='paiszr:PozastavenoOd'/>
   <t:text> </t:text>
   <t:apply-templates select='paiszr:PozastavenoDo' mode='get_text'/>
   <t:text> </t:text>
   <t:value-of select='paiszr:PozastavenoDo'/>
  </t:with-param>
 </t:call-template>
 <t:apply-templates select='paiszr:PozastaveniDuvod'/>
 <t:apply-templates select='paiszr:PozastaveniRozsah'/>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PozastavenoOd paiszr:PozastavenoDo paiszr:PozastaveniDuvod paiszr:PozastaveniRozsah </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Pozastaveni' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:PozastaveniObdobi'/>
</t:template>

<t:template match='paiszr:PozastaveniObdobi' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='descr'/>
  <!--t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param-->
  <t:with-param name='content'>
   <t:variable name='od_descr'>       <t:apply-templates select='paiszr:PozastavenoOd[1]'   mode='get_text'/> </t:variable>
   <t:variable name='do_descr'>       <t:apply-templates select='paiszr:PozastavenoDo[1]'   mode='get_text'/> </t:variable>
   <t:value-of select='concat($od_descr," ",paiszr:PozastavenoOd," ",$do_descr," ",paiszr:PozastavenoDo)'/>
  </t:with-param>
 </t:call-template>
 <t:apply-templates select='paiszr:PozastaveniDuvod'/>
 <t:apply-templates select='paiszr:PozastaveniRozsah'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:PozastavenoOd paiszr:PozastavenoDo </t:with-param>
  <t:with-param name='optional'> paiszr:PozastaveniDuvod paiszr:PozastaveniRozsah </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PozastaveniDuvod | paiszr:PozastaveniRozsah' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <t:with-param name='content'>
   <t:variable name='own_descr'> <t:call-template name='get_text'/> </t:variable>
   <t:value-of select='concat($own_descr," ")'/>
   <t:value-of select='.'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'/>
</t:template>

<t:template match='paiszr:Preruseni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:PreruseniAktualni'/>
 <t:if test='not(paiszr:PreruseniAktualni)'>
  <t:call-template name='list_item'>
   <t:with-param name='content'/>
  </t:call-template>
 </t:if>
 <t:if test='paiszr:PreruseniObdobi'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
   <t:with-param name='keep_together'/>
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PreruseniAktualni paiszr:PreruseniObdobi </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PreruseniAktualni' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='descr'> <t:apply-templates select='..' mode='get_text'/> </t:with-param>
  <t:with-param name='no_gap'/>
  <t:with-param name='content'>
   <t:apply-templates select='paiszr:PreruseniOd' mode='get_text'/>
   <t:text> </t:text>
   <t:value-of select='paiszr:PreruseniOd'/>
   <t:text> </t:text>
   <t:apply-templates select='paiszr:PreruseniDo' mode='get_text'/>
   <t:text> </t:text>
   <t:value-of select='paiszr:PreruseniDo'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PreruseniOd paiszr:PreruseniDo </t:with-param>
 </t:call-template>
</t:template>


<t:template match='paiszr:Preruseni' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:PreruseniObdobi'/>
</t:template>

<t:template match='paiszr:PreruseniObdobi' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <!--t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param-->
  <t:with-param name='content'>
   <t:variable name='od_descr'>       <t:apply-templates select='paiszr:PreruseniOd[1]'   mode='get_text'/> </t:variable>
   <t:variable name='do_descr'>       <t:apply-templates select='paiszr:PreruseniDo[1]'   mode='get_text'/> </t:variable>
   <t:value-of select='concat($od_descr," ",paiszr:PreruseniOd," ",$do_descr," ",paiszr:PreruseniDo)'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:PreruseniOd paiszr:PreruseniDo </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Zanik' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='content'>
   <t:variable name='duvod'> <t:value-of select='paiszr:ZanikDuvod'/> </t:variable>
   <t:value-of select='$duvod'/>
   <t:if test='$duvod!=""'> <t:text> </t:text> </t:if>
   <t:value-of select='paiszr:Hodnota'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:ZanikDuvod </t:with-param>
 </t:call-template>
</t:template>


<t:template match='paiszr:Provozovna' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:ProvozovnaNazev' mode='list_item'/>
 <t:apply-templates select='paiszr:ProvozovnaUmisteni' mode='list_item'/>
 <t:apply-templates select='paiszr:ProvozovnaAdresa'/>
 <t:apply-templates select='paiszr:ProvozovnaIcp' mode='list_item'/>
 <t:apply-templates select='paiszr:ProvozovnaOd' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
 <t:for-each select='paiszr:ProvozovnaObdobi'>
  <t:apply-templates select='paiszr:ProvozovnaOd' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
  <t:apply-templates select='paiszr:ProvozovnaDo' mode='list_item'> <t:with-param name='no_gap'/> </t:apply-templates>
 </t:for-each>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:ProvozovnaNazev paiszr:ProvozovnaUmisteni paiszr:ProvozovnaAdresa paiszr:ProvozovnaIcp paiszr:ProvozovnaOd paiszr:ProvozovnaObdobi </t:with-param>
 </t:call-template>
</t:template>

<!-- ########## simple common templates ################################### -->

<t:template match='paiszr:Osoba' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='.'/>
</t:template>

<t:template match='paiszr:Osoba' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:JmenoPrijmeniPlatnost'/>
 <t:apply-templates select='paiszr:RodneCisloPlatnost'/>
 <t:apply-templates select='paiszr:DatumNarozeniPlatnost'/>
 <t:apply-templates select='paiszr:ObcanstviPlatnost'/>
 <t:apply-templates select='paiszr:Bydliste'/>
 <t:apply-templates select='paiszr:Pobyt'/>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:JmenoPrijmeniPlatnost paiszr:RodneCisloPlatnost paiszr:DatumNarozeniPlatnost paiszr:ObcanstviPlatnost paiszr:Bydliste paiszr:Pobyt </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Osoba' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='.'/>
</t:template>

<t:template match='paiszr:StatutarPo' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:ObchodniJmenoPO'/>
 <t:apply-templates select='paiszr:Ico'/>
 <t:apply-templates select='paiszr:Sidlo'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:ObchodniJmenoPO paiszr:Sidlo</t:with-param>
  <t:with-param name='optional'> paiszr:Ico </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:StatutarPo' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='.'/>
</t:template>

<t:template match='paiszr:AdresaPlatnost' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Adresa'/>
 <t:apply-templates select='paiszr:Platnost'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Adresa paiszr:Platnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Adresa' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hodnota' mode='list_item'>
  <t:with-param name='name'> <t:value-of select='name(ancestor::*[paiszr:Adresa])'/> </t:with-param>
 </t:apply-templates>
 <t:apply-templates select='paiszr:ZmenaJmena'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:ZmenaJmena </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovnaAdresa' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hodnota' mode='list_item'>
  <t:with-param name='name'> <t:value-of select='name(ancestor::*[paiszr:ProvozovnaAdresa])'/> </t:with-param>
 </t:apply-templates>
 <t:apply-templates select='paiszr:ZmenaJmena'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:ZmenaJmena </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovnaSkupina/paiszr:Provozovna/paiszr:ProvozovnaAdresa | paiszr:VyporadaniProvozovna/paiszr:ProvozovnaAdresa' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hodnota' mode='list_item'>
  <t:with-param name='name'> <t:value-of select='name()'/> </t:with-param>
 </t:apply-templates>
 <t:apply-templates select='paiszr:ZmenaJmena'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:ZmenaJmena </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Adresa[ancestor::Adresa_pl]' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hodnota[1]' mode='list_item'>
  <t:with-param name='descr'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:Hodnota[position()>1]' mode='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:ZmenaJmena'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:ZmenaJmena </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ProvozovnaAdresa[ancestor::Adresa_pl]' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:Hodnota[1]' mode='list_item'>
  <t:with-param name='descr'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:Hodnota[position()>1]' mode='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
 </t:apply-templates>
 <t:apply-templates select='paiszr:ZmenaJmena'/>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> paiszr:ZmenaJmena </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:ZmenaJmena' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='descr'/>
  <t:with-param name='no_gap'/>
  <t:with-param name='content'>
   <t:apply-templates select='paiszr:Platnost' mode='str'/>
   <t:text> - </t:text>
   <t:value-of select='paiszr:MenenaPolozka'/>
   <t:text>: </t:text>
   <t:value-of select='paiszr:PuvodniHodnota'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Platnost paiszr:MenenaPolozka paiszr:PuvodniHodnota</t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:Prekazky' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:PrekazkyOd'>
 </t:apply-templates>
 <t:if test='not(paiszr:PrekazkyOd)'>
  <t:call-template name='list_item'>
   <t:with-param name='content'/>
  </t:call-template>
 </t:if>
 <t:if test='paiszr:PrekazkyObdobi'>
  <t:call-template name='list_sect'>
   <t:with-param name='name'/>
   <t:with-param name='keep_together'/>
  </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PrekazkyOd paiszr:PrekazkyDuvod paiszr:PrekazkyObdobi </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PrekazkyOd' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <!--t:with-param name='descr'/-->
  <t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param>
  <t:with-param name='content'>
   <t:call-template name='get_text'/>
   <t:text> </t:text>
   <t:value-of select='.'/>
   <t:text> </t:text>
   <t:value-of select='following-sibling::paiszr:PrekazkyDuvod'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'/>
</t:template>

<t:template match='paiszr:Prekazky' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:PrekazkyObdobi'/>
</t:template>

<t:template match='paiszr:PrekazkyObdobi' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <!--t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param-->
  <t:with-param name='content'>
   <t:variable name='od_descr'>       <t:apply-templates select='paiszr:PrekazkyOd[1]'   mode='get_text'/> </t:variable>
   <t:variable name='do_descr'>       <t:apply-templates select='paiszr:PrekazkyDo[1]'   mode='get_text'/> </t:variable>
   <t:value-of select='concat($od_descr," ",paiszr:PrekazkyOd," ",$do_descr," ",paiszr:PrekazkyDo," ",paiszr:PrekazkyDuvod)'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:PrekazkyOd paiszr:PrekazkyDo </t:with-param>
  <t:with-param name='optional'> paiszr:PrekazkyDuvod </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PlatnostZivnosti' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:for-each select='paiszr:Hodnota'>
  <t:call-template name='list_item'>
   <t:with-param name='name'> <t:value-of select='name(..)'/> </t:with-param>
  </t:call-template>
 </t:for-each>
 <t:for-each select='Prodlouzeno'>
  <t:call-template name='list_item'>
   <t:with-param name='no_gap'/>
   <t:with-param name='descr'/>
  </t:call-template>
 </t:for-each>
 <t:if test='paiszr:HodnotaPlatnost'>
  <t:call-template name='list_sect'>
  <t:with-param name='name'/>
  <t:with-param name='keep_together'/>
 </t:call-template>
 </t:if>
 <t:call-template name='check_elem'>
  <t:with-param name='required'> paiszr:Hodnota </t:with-param>
  <t:with-param name='optional'> Prodlouzeno paiszr:HodnotaPlatnost </t:with-param>
 </t:call-template>
</t:template>

<t:template match='paiszr:PlatnostZivnosti' mode='list_cont' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:apply-templates select='paiszr:HodnotaPlatnost'/>
</t:template>


<!--====================================================================
Generates paragraph with PLATNOST info
Matches from any element except for DRIVE.
Internaly calls text-generating PLATNOST via it's name.
=====================================================================-->
<t:template match='paiszr:Platnost' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:call-template name='list_item'>
  <t:with-param name='no_gap'/>
  <t:with-param name='descr'/>
  <t:with-param name='content'>
   <t:call-template name='platnost_str'/>
  </t:with-param>
 </t:call-template>
 <t:call-template name='check_elem'>
  <t:with-param name='optional'> paiszr:PlatnostOd paiszr:PlatnostDo </t:with-param>
 </t:call-template>
</t:template>

<!--====================================================================
Generates simple string from containing elements
  PlatnostOd, PlatnostDo  (previously also: info_text)
Matches only from within element "drive".
From paragraph generating "Platnost" is called via it's name.
=====================================================================-->
<!--t:template match='drive/Platnost' name='Platnost'-->
<t:template match='paiszr:Platnost' mode='str' name='platnost_str' xmlns:paiszr="urn:cz:isvs:a121:schemas:PaisZR:v1">
 <t:variable name='intro'>
  <t:call-template name='get_text'>
   <t:with-param name='dbg'> 0 </t:with-param>  <!-- change to optional? -->
  </t:call-template>
 </t:variable>
 <t:value-of select='$intro'/>
 <t:if test='$intro!=""'>
  <t:text> </t:text>
 </t:if>   

 <t:for-each select='paiszr:PlatnostOd | paiszr:PlatnostDo'>
  <t:if test='count(preceding-sibling::*)>0'>
   <t:text> </t:text>
  </t:if>   
  <t:call-template name='get_text'>
   <t:with-param name='append'>
    <t:text> </t:text>
    <t:value-of select='.'/>
   </t:with-param>
  </t:call-template>
 </t:for-each>
 <!-- "check_elem" template call should be made in the calling rule -->
</t:template>

<!-- ###################################################################### -->
<!-- ########## text constants and their lengths ########################## -->

<!--====================================================================
Main rule for text constant generation, the only source of texts.
When no_dscr is not set, the appropriate @descr attribute is looked for first.
In debugging mode, when descr/text is not found a warning message is returned
instead of the text.
Parameters:
  - name    - rules the text selection / chooses the text appropriate;
              defaultfs to name()
  - append  - for several specific (Platnost/...) nodes only,
              or if given explicitely, appends the node content;
              usually nothing is appended
  - no_dscr - don't look for @descr attribute
  - dbg     - when >0 and no text is found the "<name>" is returned
            - defaults to the value of the global "dbg" variable
=====================================================================-->
<t:template match='*' mode='get_text' name='get_text'>
 <t:param name='name'> <t:value-of select='name()'/> </t:param>
 <t:param name='append'/>
 <t:param name='no_dscr'> <t:value-of select='$no_dscr'/> </t:param>
 <t:param name='dbg'> <t:value-of select='$dbg'/> </t:param>

 <t:choose>
  <t:when test='$name=""'/>
  <t:when test='not($no_dscr!=0) and ancestor-or-self::*[name()=$name]/@descr'>
   <t:value-of select='ancestor-or-self::*[name()=$name]/@descr'/>
  </t:when>
  <t:when test='not($no_dscr!=0) and $dbg>0'>
   <t:value-of select='concat("&lt;",$name,"&gt;")'/>
  </t:when>
  <t:when test='not($no_dscr!=0) and $only_dscr!=0'/> <!-- no text from xslt -->

 <!--t:choose-->
  <!-- evidinfo: -->
  <t:when test='$name="paiszr:DokumentId"'  >Identifiktor vpisu:</t:when>
  <!-- Hledani, Subjekt, NalezenySubjekt: -->
  <t:when test='$name="paiszr:Hledani"'     >daje pro vyhledvn</t:when>
  <t:when test='$name="paiszr:NalezenySubjekt"'  >Nalezen subjekty:</t:when>
  <t:when test='$name="paiszr:JmenoPrijmeni"'      >Jmno a pjmen:</t:when>
  <t:when test='$name="paiszr:DatumNarozeni"'      >Datum narozen:</t:when>
  <t:when test='$name="paiszr:Nazev"'  >Obchodn firma:</t:when>
  <t:when test='$name="paiszr:Ico"'         >Identifikan slo:</t:when>
  <t:when test='$name="paiszr:Role"'        >Role osoby:</t:when>
  <t:when test='$name="paiszr:AdresaText"'       >Adresa pobytu:</t:when>
  <!-- oddil: -->
  <t:when test='$name="paiszr:Subjekt"'     ><t:comment>Podnikatel</t:comment></t:when>
  <t:when test='$name="paiszr:Zivnost"'     >ivnostensk oprvnn</t:when>
  <!-- Subjekt: -->
  <t:when test='$name="paiszr:Konkurz"'     >Na subjekt byl vyhlen konkurz </t:when>
  <t:when test='$name="paiszr:Likvidace"'   ></t:when>
  <t:when test='$name="paiszr:Sidlo"'       >Sdlo:</t:when>
  <t:when test='$name="paiszr:DorucovaciAdresa"' >Adresa pro doruovn ivnostenskmi ady:</t:when>
  <t:when test='$name="paiszr:OrganizacniSlozka"'     >Organizan sloka:</t:when>
  <t:when test='$name="paiszr:Statutar"'    >Statutrn orgn:</t:when>
  <t:when test='$name="paiszr:Vedouci"'     >Vedouc organizan sloky:</t:when>
  <t:when test='$name="paiszr:Prekazky"'    >Pekky v provozovn ivnost:</t:when>
  <t:when test='$name="paiszr:EvidujiciUrad"'     >ad evidujc podnikatele:</t:when>
  <!-- Zivnost: -->
  <t:when test='$name="paiszr:Predmet"'     >Pedmt ivnosti:</t:when>
  <t:when test='$name="paiszr:Obor"'        >Obor:</t:when>
  <t:when test='$name="paiszr:Rozsah"'      >Rozsah pedmtu podnikn:</t:when>
  <t:when test='$name="paiszr:Druh"'        >Druh ivnosti:</t:when>
  <t:when test='$name="paiszr:Prumysl"'     >Prmyslov ivnost:</t:when>
  <t:when test='$name="paiszr:Prekazky"'    >Pekky v provozovn ivnost:</t:when>
  <t:when test='$name="paiszr:DatumVzniku"'   >Vznik ivnostenskho oprvnn:</t:when>
  <t:when test='$name="paiszr:Podminky"'    >Podmnky provozovn ivnosti:</t:when>
  <t:when test='$name="paiszr:PlatnostZivnosti"'>Platnost ivnostenskho oprvnn:</t:when>
  <t:when test='$name="paiszr:Preruseni"   '>Peruen innosti</t:when>
  <t:when test='$name="paiszr:Zanik"'       >Znik ivnostenskho oprvnn:</t:when>
  <t:when test='$name="paiszr:Zastupce"'    >Odpovdn zstupce:</t:when>
  <t:when test='$name="paiszr:Dedic"'       >Pokraovatel v provozovn ivnosti:</t:when>
  <t:when test='$name="paiszr:Provozovna"'  >Provozovna:</t:when>
  <!-- obcjme: -->
  <t:when test='$name="paiszr:ObchodniJmenoFO"'  >Jmno a pjmen vetn dodatku:</t:when>
  <t:when test='$name="paiszr:ObchodniJmenoPO"'  >Obchodn firma:</t:when>
  <!-- osoba: -->
  <t:when test='$name="paiszr:JmenoPrijmeni"'      >Jmno a pjmen:</t:when>
  <t:when test='$name="paiszr:RodneCislo"'      >Rodn slo:</t:when>
  <t:when test='$name="paiszr:DatumNarozeni"'      >Datum narozen:</t:when>
  <t:when test='$name="paiszr:Obcanstvi"'       >Obanstv:</t:when>
  <t:when test='$name="paiszr:Bydliste"'    >Bydlit:</t:when>
  <t:when test='$name="paiszr:Pobyt"'       >Pobyt:</t:when>
  <!-- prekazky: -->
  <t:when test='$name="paiszr:PrekazkyDuvod"'      >Dvod pekky:</t:when>
  <t:when test='$name="paiszr:PrekazkyRozsah"'      >Rozsah:</t:when>
  <!-- Pozastaveni: -->
  <t:when test='$name="paiszr:PozastaveniDuvod"'      >innost pozastavena z dvodu:</t:when>
  <t:when test='$name="paiszr:PozastaveniRozsah"'      >Rozsah:</t:when>
  <!-- Provozovna: -->
  <t:when test='$name="paiszr:ProvozovnaNazev"'      >Nzev:</t:when>
  <t:when test='$name="paiszr:ProvozovnaUmisteni"'      >Umstn provozovny:</t:when>
  <t:when test='$name="paiszr:ProvozovnaIcp"'      >IP:</t:when>
  <t:when test='$name="paiszr:ProvozovnaOd"'      >Zahjen provozovn ivnosti v provozovn dne:</t:when>
  <t:when test='$name="paiszr:ProvozovnaDo"'      >Ukonen provozovn ivnosti v provozovn dne:</t:when>
  <!-- Adresa_zm: -->
  <t:when test='$name="paiszr:Adresa"'      ></t:when>
  <t:when test='$name="paiszr:ProvozovnaAdresa"'      ></t:when>
  <!-- Sankce: -->
  <t:when test='$name="paiszr:Sankce"'      >Sankce a pokuty:</t:when> <!-- not used any longer -->
  <t:when test='$name="paiszr:SankcePokutaCastka"'      >Pokuta:</t:when>
  <t:when test='$name="paiszr:SankcePokutaDuvod"'      ></t:when>
  <!-- platnost: -->
  <t:when test='$name="paiszr:PlatnostOd"' >od</t:when>
  <t:when test='$name="paiszr:PlatnostDo"' >do</t:when>
  <t:when test='$name="info_text"'   ><t:text> </t:text></t:when>
  <!-- descr composed programmatically, called only for debugging - no_own_descr check: -->
  <t:when test='$name="drive"'       ></t:when>
  <!-- usually called for parameter value, so only plain text "Unknown get_text $name" is ised -->
  <t:otherwise>
   <t:if test='$dbg>0'>&lt;<t:value-of select='$name'/>&gt;</t:if>
  </t:otherwise>
 </t:choose>
 <t:if test='$append!=""'>
  <t:value-of select='$append'/>
 </t:if>
</t:template>


<!--====================================================================
Template for text length measurement.
It is workaround, as fo doesn't provide the exact text length;
or, at least, I don't know how.
parameters:
  - text    - the text which length is to be measured and returned
              When content is empty, as a 2nd chance, the text is
              guessed form the context / node name
  - name    - rules the text selection / chooses the text appropriate;
              defaultfs to name()
configuration:
  - avg_char_width - average character width; in millimeters, w/o unit symbol
returns:
  - just number - required text length
                  in millimeters, without unit symbol
  - <1 space  and a> number - when exact match not found, template text used
  - <2 spaces and a> number - text not found, average character width used
=====================================================================-->
<t:template name='text_length' match='*' mode='text_length'>
 <t:param name='text'/>
 <t:param name='name'> <t:value-of select='name()'/> </t:param>
 <t:param name='avg_char_width'>1.45</t:param>
 <t:param name='recur'> 0 </t:param>

 <t:variable name='matched_length'>
  <t:choose>
   <t:when test='$text=                                      "Bydlit:"'>12</t:when>
   <t:when test='$text=                                          ".j.:"' >6</t:when>
   <t:when test='$text=                 "do 31.12.2000  obchodn jmno "'>44</t:when>
   <t:when test='$text=                        "Doba povolenho pobytu:"'>37</t:when>
   <t:when test='$text=                                 "Druh ivnosti:"'>21</t:when>
   <t:when test='$text=                                           "Fax:#"'></t:when>
   <t:when test='$text=                                          "IO:"' >7</t:when>
   <t:when test='$text=                              "Jmno a pjmen:"'>26</t:when>
   <t:when test='$text=               "Jmno a pjmen vetn dodatku:"'>48</t:when>
   <t:when test='$text=                               "Msto podnikn:"'>24</t:when>
   <t:when test='$text=               "Na subjekt byl vyhlen konkurz #"'></t:when>
   <t:when test='$text=                                         "Nzev:"'>10</t:when>
   <t:when test='$text=                                     "Obanstv:"'>16</t:when>
   <t:when test='$text=                            "Odpovdn zstupce:"'>30</t:when>
   <t:when test='$text=             "Platnost ivnostenskho oprvnn:#"'></t:when>
   <t:when test='$text=     "Provozovn ivnosti prmyslovm zpsobem:"'>66</t:when>
   <t:when test='$text=                                    "Provozovna:"'>18</t:when>
   <t:when test='$text=                              "Pedmt ivnosti:"'>25</t:when>
   <t:when test='$text=               "Pekky v provozovn ivnost:"'>46</t:when>
   <t:when test='$text=                                   "Rodn slo:"'>18</t:when>
   <t:when test='$text=                                        "Rozsah:"'>11</t:when>
   <t:when test='$text=                               "Sankce a pokuty:"'>24</t:when>
   <t:when test='$text=                                         "Sdlo:#"'></t:when>
   <t:when test='$text=                                          "Tel.:#"'></t:when>
   <t:when test='$text=                        "daje o konkurzu/padku:"'>36</t:when>
   <t:when test='$text=                          "daje pro vyhledvn#"'></t:when>
   <t:when test='$text=                        "Ukonen vkonu funkce:"'>36</t:when>
   <t:when test='$text=                    "ad evidujc podnikatele:"'>38</t:when>
   <t:when test='$text=                                   "Vae znaka:"'>18</t:when>
   <t:when test='$text=                                      "Vyizuje:#"'></t:when>
   <t:when test='$text=                "Vznik ivnostenskho oprvnn:#"'></t:when>
   <t:when test='$text=                 "Zahjen provozovn innosti:"'>44</t:when>
   <t:when test='$text="Zahjen provozovn ivnosti v provozovn dne:"'>70</t:when>
   <t:when test='$text=                        "Zahjen vkonu funkce:"'>36</t:when>
   <t:when test='$text=                                   "Zamstnanci:"'>19</t:when>
   <t:when test='$text=                "Znik ivnostenskho oprvnn:#"'></t:when>
   <t:when test='$text=                         "ivnostensk oprvnn"'>34</t:when>
   <t:when test='$text=    "adatel o vpis z ivnostenskho rejstku:"'>60</t:when>
   <t:when test='starts-with($text,"v evidenci") and
                 contains($text,"od") and contains($text,"do")          '>56</t:when>
   <t:when test='starts-with($text,"do ") and
                 string-length($text)=13                                '>20</t:when>
   <t:when test='starts-with($text,"do ") and
                 substring($text,15)="obchodn jmno"                   '>44</t:when>
   <!--exact match not found-->
   <t:when test='1=1'></t:when> <!--stop searching-->

   <!--try template text instead-->
   <t:when test='$name!="" and $recur=0'> <!--not used-->
    <t:text> </t:text> <!--add a space to indicate lower precission-->
    <t:call-template name='text_length'>
     <t:with-param name='recur'/>
     <t:with-param name='text'>
      <t:call-template name='get_text'> <t:with-param name='no_descr'/>
      </t:call-template>
     </t:with-param>
    </t:call-template>
   </t:when>

  </t:choose>
 </t:variable> <!--matched_length-->

 <t:choose> <!-- returned text length -->
  <t:when test='$matched_length>0'> <t:value-of select='$matched_length'/> </t:when>
  <t:otherwise> <t:text> </t:text>  <!-- space indicates calculated value -->
                <t:value-of select='string-length($text)*$avg_char_width'/>
  </t:otherwise>
 </t:choose>
</t:template>


<!-- ###################################################################### -->
<!-- ########## common rules for all FO templates ######################### -->
<!-- ###################################################################### -->

<!-- ########## attr_para ################################################# -->
<!--====================================================================
General rule for "content-named class paragraph/div/block"
parameters:
  class   - selects the appropriate attribute set
          - defaultfs to name()
  content - paragraph content; can be overriden this way
          - defaults to current node content
  cont2   - for successive occurences (position>1)
            the name ${class}2 is used as well
            together with / after the original $class name
  comp    - attribute class name composing/selecting rule
            0 - don't use any own formatting, just the inherited one
            1 - use plain "class" name (possibly with cont2)
            2 - use composed "listina_class" name (possibly with cont2)
            3 - use both "class" and then "listina_class" (possibly with cont2)
            defaults to 1 - no "listina_class" is supposed
  indent  - text indent of the first line; defaults to no indent
  before  - vertical space before the paragraph; defaults to no space
  keep_with_previous - self explanatory; used with "page break table workaround"
  keep_with_next     - self explanatory; used with "page break table workaround"
=====================================================================-->
<t:template match='*|@*' mode='attr_para' name='attr_para'>
 <t:param name='class'> <t:value-of select='name()'/> </t:param>
 <t:param name='content'> <t:value-of select='.'/> </t:param>
 <t:param name='cont2'> 0 </t:param>
 <t:param name='comp'> 1 </t:param>
 <t:param name='indent'/>
 <t:param name='before'/>
 <t:param name='keep_with_previous'> 0 </t:param>
 <t:param name='keep_with_next'    > 0 </t:param>
 <t:variable name='use_smpl'> <t:value-of select='$comp mod 2 = 1'/> </t:variable>
 <t:variable name='use_comp'> <t:value-of select='$comp mod 4 > 1'/> </t:variable>

 <!-- keep from page break table workaround --> <!--!!-->
 <t:call-template name='workaround_cell_beg'>  <!-- keep from page break table workaround -->
  <t:with-param name='keep_together'> 0 
   <t:if test='string-length(.) &lt; 500'> 1 </t:if>
  </t:with-param>
  <t:with-param name='keep_with_previous'> 0  <!-- produces "0" or "01" ("" means "1") -->
   <t:if test='$cont2!=0 and position()>1 or $keep_with_previous!=0'> 1 </t:if>
  </t:with-param>
  <t:with-param name='keep_with_next'> <t:value-of select='$keep_with_next'/> </t:with-param>
 </t:call-template>

 <t:call-template name='newline'/>
 <fo:block>
  <!-- begin of attribute composition -->
  <t:if test='$use_smpl'>
   <t:call-template name='attributes'>
    <t:with-param name='name'> <t:value-of select='$class'/> </t:with-param>
   </t:call-template>
  </t:if>
  <t:if test='$use_comp'>
   <t:call-template name='attributes'>
    <t:with-param name='name'> <t:value-of select='$class'/> </t:with-param>
    <t:with-param name='pref'/>
   </t:call-template>
  </t:if>
  <t:if test='$cont2!=0'>
   <t:if test='position()>1'>
    <t:if test='$use_smpl'>
     <t:call-template name='attributes'>
      <t:with-param name='name'> <t:value-of select='concat($class,2)'/> </t:with-param>
     </t:call-template>
    </t:if>
    <t:if test='$use_comp'>
     <t:call-template name='attributes'>
      <t:with-param name='name'> <t:value-of select='concat($class,2)'/> </t:with-param>
      <t:with-param name='pref'/>
     </t:call-template>
    </t:if>
   </t:if>
  </t:if>
  <t:if test='$indent!=""'>  <!-- just $indent doesn't work -->
   <t:attribute name='text-indent'> <t:value-of select='$indent'/> </t:attribute>
  </t:if>
  <t:if test='$before!=""'>
   <t:attribute name='space-before'> <t:value-of select='$before'/> </t:attribute>
   <t:attribute name='space-before.conditionality'>retain</t:attribute>
  </t:if>
  <!-- end of attribute composition -->
  <t:value-of select='$content'/>
 </fo:block>
 <t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->
</t:template>


<!-- ########## attr_text ################################################# -->
<!--====================================================================
General rule for "content-named class text/span/inline"
parameters:
  class   - selects the appropriate attribute set
          - defaultfs to name()
  content - paragraph content; can be overriden this way
          - defaults to current node content
  comp    - attribute class name composing/selecting rule
            0 - don't use any own formatting, just the inherited one
            1 - use plain "class" name (possibly with cont2)
            2 - use composed "listina_class" name (possibly with cont2)
            3 - use both "class" and then "listina_class" (possibly with cont2)
            defaults to 1 - no "listina_class" is supposed
  nam     - attribute name
          - defaults to attribute @atr_nazev
  val     - attribute value
          - defaults to attribute @atr_hodnota
=====================================================================-->
<t:template match='*|@*' mode='attr_text' name='attr_text'>
 <t:param name='class'> <t:value-of select='name()'/> </t:param>
 <t:param name='content'> <t:value-of select='.'/> </t:param>
 <t:param name='comp'> 1 </t:param>
 <t:param name='nam'> <t:value-of select='@atr_nazev'/> </t:param>
 <t:param name='val'> <t:value-of select='@atr_hodnota'/> </t:param>
 <t:variable name='use_smpl'> <t:value-of select='$comp mod 2 = 1'/> </t:variable>
 <t:variable name='use_comp'> <t:value-of select='$comp mod 4 > 1'/> </t:variable>

 <fo:inline>
  <!-- begin of attribute composition -->
  <t:if test='$use_smpl'>
   <t:call-template name='attributes'>
    <t:with-param name='name'> <t:value-of select='$class'/> </t:with-param>
   </t:call-template>
  </t:if>
  <t:if test='$use_comp'>
   <t:call-template name='attributes'>
    <t:with-param name='name'> <t:value-of select='$class'/> </t:with-param>
    <t:with-param name='pref'/>
   </t:call-template>
  </t:if>
  <t:if test='$nam!=""'>
   <t:attribute name='{$nam}'> <t:value-of select='$val'/> </t:attribute>
  </t:if>
  <!-- end of attribute composition -->
  <t:value-of select='$content'/>
 </fo:inline>
</t:template>


<!-- ########## list_sect ################################################# -->
<!--====================================================================
Wrapper for list composition.
Does the following output:
 - possibly dividing horizontal ruler
 - possibly (unindentated) list title
 - establishes block with indentation and
   within it calls the own/specific context rule with mode "list_cont"
Parameters:
  - title - sets the label exactly
          - defaults to empty - title is made according to "name"
  - name - sets the label by calling the "get_text" template
         - defaults to the name of the current node
         - forced empty name generates no label at all
  - ruler - width of the separating ruler
          - defaults to 0 - no separator
          - when set to empty - automatic first/next rule is used
          - otherwise the exact width is supposed
  - repeat - repeats title for multiple successive occurences
           - defaults to 1
  - no_gap - don't add extra space after (the block of list_item child elements)
           - defaults to 0 (extra space is usually added)
  - keep_together - no page break within the section, including its title
=====================================================================-->
<t:template match='*' mode='list_sect' name='list_sect'>
 <t:param name='title'/>
 <t:param name='name'> <t:value-of select='name()'/> </t:param>
 <t:param name='ruler'> 0 </t:param>
 <t:param name='repeat'> 1 </t:param>
 <t:param name='no_gap'> 0 </t:param>
 <t:param name='keep_together'> 0 </t:param>

 <t:choose>

  <!-- empty obligatory section - just a line of no_info -->
  <t:when test='not(*) and @no_info'>
   <t:call-template name='list_item'>
    <t:with-param name='content'> <t:value-of select='@no_info'/> </t:with-param>
   </t:call-template>
  </t:when>

  <!-- compose propper section -->
  <t:otherwise>

   <t:variable name='use_title'>
    <t:choose>
     <t:when test='$name=""'                             > 0 </t:when>
     <t:when test='$repeat>0'                            > 1 </t:when>
     <t:when test='name()="paiszr:StatutarPo" and name(preceding-sibling::*[1])="paiszr:Osoba"'> 0 </t:when>
     <t:when test='name()!=name(preceding-sibling::*[1])'> 1 </t:when>
     <t:otherwise                                        > 0 </t:otherwise>
    </t:choose>
   </t:variable>

   <!-- when ruler is empty calculate its width form node context -->
   <t:variable name='width_bef'>
    <t:choose>
     <t:when test='(name()="paiszr:OsobaZapsana" or  name()="paiszr:StatutarPoZapsany" or name()="paiszr:ZastupceStatutaraPo" or name()="paiszr:OsobaVeFunkci") and position()=1'   />
     <t:when test='(name()="paiszr:OsobaZapsana" or  name()="paiszr:StatutarPoZapsany" or name()="paiszr:OsobaVeFunkci") and position()!=1'   > 80% </t:when>
     <t:when test='name()="paiszr:ZastupceStatutaraPo" and position()!=1'   > 70% </t:when>
     <t:when test='$ruler=0'/>                    <!-- empty width - no rule -->
     <t:when test='$ruler=-2 and position()=1'/>  <!-- no first rule -->
     <t:when test='$ruler!="" and $ruler!=-1 and $ruler!=-2'> <t:value-of select='$ruler'/> </t:when>
     <t:when test='$name=""'       >100%</t:when> <!-- !! -->
     <t:when test='position()=1'   >100%</t:when>
     <t:when test='position()&gt;1' >80%</t:when>
     <t:otherwise                     ></t:otherwise>
    </t:choose>
   </t:variable>

   <!-- when ruler is empty calculate its width form node context -->
   <t:variable name='width_aft'>
    <t:choose>
     <t:when test='$ruler=0'/>                <!-- empty width - no rule -->
     <t:when test='$ruler=-1 or $ruler=-2'/>  <!-- no last rule -->
     <t:when test='position()!=last()'/> <!-- ending ruler only -->
     <t:when test='$ruler!=""'> <t:value-of select='$ruler'/> </t:when>
     <t:otherwise                     >100%</t:otherwise>
    </t:choose>
   </t:variable>

   <t:call-template name='comment_beg'/>

   <!-- output the ruler -->
   <t:if test='$width_bef!="" and $width_bef!=0'>
    <t:call-template name='ruler'>
     <t:with-param name='keep_with_next'> <t:value-of select='$keep_together'/> </t:with-param>  <!-- would cause the whole sect keep-together -->
     <t:with-param name='width'> <t:value-of select='$width_bef'/> </t:with-param>
    </t:call-template>
   </t:if>

   <!-- output the title -->
   <t:if test='$name!="" and $use_title>0'>
    <t:call-template name='attr_para'>
     <t:with-param name='keep_with_next'> 
       <t:value-of select='$keep_together'/>
       <t:if test='not(count(*)>2) and not(count(descendant::*)>10)'>1</t:if>  <!-- keep title with short lists (01 means 1) -->
     </t:with-param>  
     <!-- would cause the whole sect keep-together -->
     <!--t:with-param name='keep_with_next'/-->  <!-- would cause the whole sect keep-together -->
     <t:with-param name='content'>
      <t:choose>
       <t:when test='$title!=""'> <t:value-of select='$title'/> </t:when>
       <t:otherwise>
        <t:call-template name='get_text'>
         <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param> 
        </t:call-template>
       </t:otherwise>
      </t:choose>
     </t:with-param>
     <t:with-param name='class'>list_title</t:with-param>
    </t:call-template>
   </t:if>

   <!-- output the (enclosing/indentation) block and call the own/specific rule -->

   <t:call-template name='workaround_cell_beg'>  <!-- keep from page break table workaround -->
    <t:with-param name='keep_together'>      <t:value-of select='$keep_together'/> </t:with-param>
    <!--t:with-param name='keep_with_previous'> <t:value-of select='$keep_together'/> </t:with-param-->
   </t:call-template>
   <t:call-template name='newline'/>
   <fo:block> <t:call-template name='attributes'>
     <t:with-param name='name'> list_sect </t:with-param> </t:call-template>
     <t:attribute name='space-after'>0cm</t:attribute> <t:attribute name='space-after.conditionality'>retain</t:attribute>
     <t:call-template name='attributes'/>
     <t:if test='$no_gap!=0'> <t:attribute name='space-after'>0cm</t:attribute> <t:attribute name='space-after.conditionality'>retain</t:attribute> </t:if>
    <t:call-template name='workaround_table_beg'/>  <!-- keep from page break table workaround -->
    <t:apply-templates select='.' mode='list_cont'/>
    <t:call-template name='workaround_table_end'/>  <!-- keep from page break table workaround -->
   </fo:block>
   <t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->

   <!-- output the ruler -->
   <t:if test='$width_aft!="" and $width_aft!=0'>
    <t:call-template name='ruler'>
     <t:with-param name='width'> <t:value-of select='$width_aft'/> </t:with-param>
    </t:call-template>
   </t:if>

   <t:call-template name='comment_end'/>

  </t:otherwise>

 </t:choose>

</t:template>


<!-- ########## list_item ################################################# -->
<!--====================================================================
Main template for generating the label-value (descr-content) paired output
Parameters:
  - name - sets the label by calling the "get_text" template
         - defaults to the name of the current node
  - descr - description/label
          - defaults to the value returned by calling get_text
  - content - sets the value
            - when no child and no text given,
              no_info attribute is used
  - repeat - repeats label for multiple successive occurences
           - defaults to 0
  - no_gap - don't add extra space before, when the preceeding item hasn't the same name
           - defaults to 0 (extra space is usually added)
  - descr_indent - label indent [in millimeters] (just value, w/o mm)
                 - defaults to 0
  - list_indent - the "provisional-distance-between-starts" distance
                - defaults to the global variable list_indent
  - item_descr   - own descr   composition via callback with item_descr   mode
  - item_content - own content composition via callback with item_content mode
                 - defaults to 0 - no callback; @descr and "." are used
  - keep_with_previous - forces no page breake before; even if descr used
                       - defaults to 0
=====================================================================-->
<t:template match='*' mode='list_item' name='list_item'>

 <t:param name='name'> <t:value-of select='name()'/> </t:param>

 <t:param name='descr'>
  <t:call-template name='get_text'>
   <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
  </t:call-template>
 </t:param>

 <t:param name='content'>
  <t:choose>
   <t:when test='* or normalize-space(.)!=""'> <t:value-of select='.'/> </t:when>
   <t:otherwise> <t:value-of select='@no_info'/> </t:otherwise>
  </t:choose>
 </t:param>

 <t:param name='repeat'> 0 </t:param>
 <t:param name='no_gap'> 0 </t:param>
 <t:param name='descr_indent'> 0 </t:param>
 <t:param name='list_indent'> <t:value-of select='$list_indent'/> </t:param>
 <t:param name='item_descr'> 0 </t:param>
 <t:param name='item_content'> 0 </t:param>
 <t:param name='keep_with_previous'> 0 </t:param>

 <t:variable name='label_length_ref'>
  <t:call-template name='text_length'>
   <t:with-param name='text'> <t:value-of select='$descr'/> </t:with-param>
  </t:call-template>
 </t:variable>
 <t:variable name='label_length'>
  <t:value-of select='$label_length_ref div $font_size_ref * $font_size_act'/>
 </t:variable>

 <t:variable name='this_name' select='name()'/> 
 <!-- context_elem is the first ancestor-or-self element named as the parameter $name -->
 <t:variable name='context_elem' select='ancestor-or-self::*[name()=$name][1]'/> 
 
 <t:variable name='use_descr'> 
  <t:choose>
   <t:when test='$repeat>0'> 1 </t:when>
   <!-- is the parameter $name different from the name of the first preceding-sibling of context_elem ? -->
   <!--   and when yes, then also                                                                       -->
   <!-- am I the first descendant-of-self named name() in the subtree starting with context_elem ?      -->
   <t:when test='$name        !=        name($context_elem/preceding-sibling::*[1])  and
                 generate-id() = generate-id($context_elem/descendant-or-self::*[name()=$this_name][1])'> 1 </t:when>
   <t:otherwise> 0 </t:otherwise>
  </t:choose>
 </t:variable>

 <t:variable name='descr_indent_mm'>
  <t:choose>
   <t:when test='$descr_indent>0'> <t:value-of select='concat(normalize-space($descr_indent),"mm")'/> </t:when>
   <t:when test='$descr_indent=0'> </t:when>
   <t:otherwise                  > <t:value-of select='normalize-space($descr_indent)'/> </t:otherwise>
  </t:choose>
 </t:variable>

 <t:variable name='add_space'>
  <t:variable name='this_id' select='generate-id()'/> 
  <t:choose>
   <t:when test='$no_gap!=0'> 0 </t:when>
   <!-- extra rule, Provozovna and Platnost are defined for verweb only -->
   <t:when test='ancestor::Provozovna or ancestor-or-self::Platnost'> 0 </t:when>
   <!-- is there such a context_elem for that                                           -->
   <!--   its first preceding-sibling has different name from the $name parameter  and  -->
   <!--   the first descendant-of-self named name() is the same element as current node -->
   <t:when test='$context_elem[ name(preceding-sibling::*[1])!=$name  and
                                generate-id(descendant-or-self::*[name()=$this_name])=$this_id]'> 1 </t:when>
   <t:when test='$use_descr!=0'> 1 </t:when>
   <t:otherwise> 0 </t:otherwise>
  </t:choose>
 </t:variable>

 <!-- debugging variables: -->

 <!-- missing descr attribute in xml input -->
 <t:variable name='missing_dscr'>
  <t:if test='$dbg>0'>
   <t:if test='starts-with($descr,"&lt;") and contains($descr,"&gt;")'> 1 </t:if>
  </t:if>
 </t:variable>

 <!-- missing own text for current element -->
 <t:variable name='miss_own_dscr'>
  <t:if test='$dbg>1'>
   <t:variable name='own'>
    <t:call-template name='get_text'>
     <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
     <t:with-param name='no_dscr'> 1 </t:with-param>
    </t:call-template>
   </t:variable>
   <t:if test='starts-with($own,"&lt;") and contains($own,"&gt;")'> 1 </t:if>
  </t:if>
 </t:variable>

 <!-- text for current element differs from that found in descr(Popis) in xml -->
 <t:variable name='diff_own_dscr'>
  <t:if test='$dbg>1 and not($missing_dscr>0) and not($miss_own_dscr>0)'>
   <t:variable name='own'>
    <t:call-template name='get_text'>
     <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
     <t:with-param name='no_dscr'> 1 </t:with-param>
    </t:call-template>
   </t:variable>
   <t:if test='$descr!=$own and $own!=""'> 1 </t:if>
  </t:if>
 </t:variable>

 <!-- missing information about the length of descr.text -->
 <t:variable name='miss_dscr_len'>
  <t:if test='$dbg>1 and not($diff_own_dscr>0)'>
   <t:if test='starts-with($label_length," ")'> 1 </t:if>
  </t:if>
 </t:variable>

 <!-- some error information will be added to the list value  -->
 <t:variable name='ext_value'>
  <t:if test='$dbg>0 and
              ( $dbg>2 or $missing_dscr>0 or
                $miss_own_dscr>0 or $diff_own_dscr>0 or $miss_dscr_len>0 )'> 1 </t:if>
 </t:variable>

 <t:call-template name='workaround_cell_beg'>  <!-- keep from page break table workaround -->
  <t:with-param name='keep_together'/>
  <!-- keep with previous: when explicitely required ($keep_with_previousz is true)  or
       descr is not used (set to "0" or is empty) and "the list is not large" and
       current item is not the first (or the only) - preceding sibling with the same name exists
       large list conditions:
       - has more tham 10 items (siblings of the same name)  or
         and the total number of items of the same name in context_elem subtree is greater than 10
  -->       
  <t:with-param name='keep_with_previous'
                select='number($keep_with_previous)  or
                          ($use_descr=0 or $descr="") and
                          preceding-sibling::*[name()=$this_name] and
                          not(count(../*[name()=$this_name])>10  or
                              count($context_elem/descendant-or-self::*[name()=$this_name])>10 )'/>
 </t:call-template>

<!--
<t:comment>
list_item:
 params:
name(): <t:value-of select='name()'/>
name: <t:value-of select='$name'/>
descr: <t:value-of select='$descr'/>
content: <t:value-of select='$content'/>
repeat: <t:value-of select='$repeat'/>
no_gap: <t:value-of select='$no_gap'/>
add_space: <t:value-of select='$add_space'/>
descr_indent: <t:value-of select='$descr_indent'/>
list_indent: <t:value-of select='$list_indent'/>
item_descr: <t:value-of select='$item_descr'/>
item_content: <t:value-of select='$item_content'/>
 variables:
label_length: <t:value-of select='$label_length'/>
use_descr: <t:value-of select='$use_descr'/>
descr_indent_mm: <t:value-of select='$descr_indent_mm'/>
missing_dscr: <t:value-of select='$missing_dscr'/>
miss_own_dscr: <t:value-of select='$miss_own_dscr'/>
diff_own_dscr: <t:value-of select='$diff_own_dscr'/>
ext_value: <t:value-of select='$ext_value'/>
own_dscr: <t:call-template name='get_text'>
           <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
           <t:with-param name='no_dscr'> 1 </t:with-param>
          </t:call-template>
keep_with_previous: <t:value-of select='$keep_with_previous'/>
count(../*[name()=$this_name]): <t:value-of select='count(../*[name()=$this_name])'/>
count(preceding-sibling::*): <t:value-of select='count(preceding-sibling::*)'/>
count(preceding-sibling::*[name()=$this_name]): <t:value-of select='count(preceding-sibling::*[name()=$this_name])'/>
name(preceding-sibling::*[1]): <t:value-of select='name(preceding-sibling::*[1])'/>
name(preceding-sibling::*): <t:value-of select='name(preceding-sibling::*)'/>
name(preceding-sibling::*[position()=1]): <t:value-of select='name(preceding-sibling::*[position()=1])'/>
count(preceding::*): <t:value-of select='count(preceding::*)'/>
count(ancestor-or-self::*[name()=$name]/descendant-or-self::*[name()=$this_name][1]/preceding::*): <t:value-of select='count(ancestor-or-self::*[name()=$name]/descendant-or-self::*[name()=$this_name][1]/preceding::*)'/>
count(ancestor-or-self::*[name()=$name]/descendant-or-self::*[name()=$this_name]): <t:value-of select='count(ancestor-or-self::*[name()=$name]/descendant-or-self::*[name()=$this_name])'/>
count($context_elem/descendant-or-self::*[name()=$this_name]): <t:value-of select='count($context_elem/descendant-or-self::*[name()=$this_name])'/>
generate-id: <t:value-of select='generate-id()'/>
</t:comment>
-->

 <t:if test='$use_descr>0 or $content!=""'>  <!-- generate block at all -->


  <t:choose>
   <t:when test='$long_descr_inline>0 and $use_descr>0 and
                 ($label_length*$scale+$descr_indent>$list_indent or
                  $content="" and not($ext_value>0))'>

    <!-- both DT and DD parts will be on the same line as fo:inline elements -->
    <t:call-template name='newline'/>

    <!--fo:block start-indent='inherited-property-value(start-indent)+{normalize-space($list_indent)}mm'
              text-indent='-{normalize-space($list_indent)}mm'-->
    <t:variable name='start_indent'>
     <t:value-of select='concat("inherited-property-value(start-indent)+", normalize-space($list_indent), "mm")'/>
     <t:if test='$descr_indent_mm!=""'> +<t:value-of select='$descr_indent_mm'/></t:if>
    </t:variable>
    <fo:block start-indent='{$start_indent}'
              text-indent='-{normalize-space($list_indent)}mm'>
      <t:call-template name='attributes'/>
     <!--t:if test='$add_space>0'> <t:attribute name='space-after'> <t:value-of select="1*$scale"/>mm</t:attribute> </t:if-->
     <!--t:if test='$add_space>0'> <t:attribute name='space-before'> <t:value-of select="1*$scale"/>mm</t:attribute> </t:if-->
     <t:if test='$add_space>0'>
      <t:call-template name='attributes'>
       <t:with-param name='name'> ext_space </t:with-param>
      </t:call-template>
     </t:if>
 
     <!-- list item header - descr - DT part -->
     <t:if test='$use_descr>0'>
      <fo:inline>

       <!-- set paragraph attributes -->
       <t:call-template name='attributes'>
        <t:with-param name='name'> item_descr </t:with-param>
       </t:call-template>
       <t:call-template name='attributes'>
        <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
        <t:with-param name='suff'> descr </t:with-param>
       </t:call-template>
       <t:if test='$dbg>0'>
        <t:if test='$miss_dscr_len>0'> <t:attribute name='color'>blue</t:attribute>  </t:if>
        <t:if test='$diff_own_dscr>0'> <t:attribute name='color'>green</t:attribute> </t:if>
        <t:if test='$miss_own_dscr>0'> <t:attribute name='color'>green</t:attribute> </t:if>
        <t:if test='$missing_dscr>0'>  <t:attribute name='color'>red</t:attribute>   </t:if>
       </t:if>

       <!-- own list item labet - DT -->
       <t:value-of select='$descr'/>
       <t:if test='$item_descr!=0'>
        <t:apply-templates select='.' mode='item_descr'/>
       </t:if>

      </fo:inline>
      <t:text>  </t:text>
     </t:if>
 
     <!-- list item content - content - DD part -->
     <fo:inline>

      <!-- set paragraph attributes -->
      <t:call-template name='attributes'>
       <t:with-param name='name'> item_value </t:with-param>
      </t:call-template>
      <t:call-template name='attributes'>
       <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
       <t:with-param name='suff'> value </t:with-param>
      </t:call-template>

      <!-- own list item content - DD -->
      <t:value-of select='$content'/>
      <t:if test='$item_content!=0'>
       <t:apply-templates select='.' mode='item_content'/>
      </t:if>
       <!-- append error information, if any -->
      <t:if test='$dbg>0'>
       <t:if test='$dbg>2'>
        <fo:inline color='blue'> (<t:value-of select='$label_length'/>)</fo:inline>
       </t:if>
       <t:if test='$missing_dscr>0'>
        <fo:inline color='red'> - missing descr (Popis) attribute</fo:inline>
       </t:if>
       <t:if test='$diff_own_dscr>0'>
        <fo:inline color='green'> - different own descr (Popis) for <fo:inline font-weight="bold"> <t:value-of select='$name'/> </fo:inline> </fo:inline>
       </t:if>
       <t:if test='$miss_own_dscr>0'>
        <fo:inline color='green'> - no own descr (Popis) for <fo:inline font-weight="bold"> <t:value-of select='$name'/> </fo:inline> </fo:inline>
       </t:if>
       <t:if test='$miss_dscr_len>0'>
        <fo:inline color='blue'> - no descr (Popis) length for <fo:inline font-weight="bold"> <t:value-of select='$name'/> </fo:inline> </fo:inline>
       </t:if>
      </t:if>

     </fo:inline>
    </fo:block>

   </t:when>
   <t:otherwise>

    <!-- DT and DD parts will be on separate lines using fo:list-block element -->
    <fo:list-block provisional-label-separation='{$fo_label_sep}'
                   provisional-distance-between-starts='{normalize-space($list_indent)}mm'>
     <t:call-template name='attributes'/>
     <fo:list-item> 
      <!--t:if test='$add_space>0'> <t:attribute name='space-after'> <t:value-of select="1*$scale"/>mm</t:attribute> </t:if-->
      <!--t:if test='$add_space>0'> <t:attribute name='space-before'> <t:value-of select="1*$scale"/>mm</t:attribute> </t:if-->
      <t:if test='$add_space>0'>
       <t:call-template name='attributes'>
        <t:with-param name='name'> ext_space </t:with-param>
       </t:call-template>
      </t:if>

      <!-- list item header - descr - DT part -->
      <fo:list-item-label>
       <fo:block>
        <t:if test='$use_descr>0'>

         <!-- set paragraph attributes -->
         <t:call-template name='attributes'>
          <t:with-param name='name'> item_descr </t:with-param>
         </t:call-template>
         <t:call-template name='attributes'>
          <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
          <t:with-param name='suff'> descr </t:with-param>
         </t:call-template>
         <t:if test='$descr_indent_mm!=""'>
          <t:attribute name='start-indent'>
           <t:value-of select='concat("inherited-property-value(start-indent)+",$descr_indent_mm)'/>
          </t:attribute>
         </t:if>
         <t:if test='$dbg>0'>
          <t:if test='$miss_dscr_len>0'> <t:attribute name='color'>blue</t:attribute>  </t:if>
          <t:if test='$diff_own_dscr>0'> <t:attribute name='color'>green</t:attribute> </t:if>
          <t:if test='$miss_own_dscr>0'> <t:attribute name='color'>green</t:attribute> </t:if>
          <t:if test='$missing_dscr>0'>  <t:attribute name='color'>red</t:attribute>   </t:if>
         </t:if>

         <!-- own list item labet - DT -->
         <t:value-of select='$descr'/>
         <t:if test='$item_descr!=0'>
          <t:apply-templates select='.' mode='item_descr'/>
         </t:if>

        </t:if>
       </fo:block>
      </fo:list-item-label>

      <!-- list item content - content - DD part -->
      <fo:list-item-body start-indent='body-start()'>
       <t:if test='$use_descr>0 and
                  ($label_length*$scale+$descr_indent>$list_indent or
                   $content="" and not($ext_value>0))'>
        <fo:block white-space-collapse='false'> <t:text> </t:text> </fo:block>
       </t:if>

       <fo:block>
        <!-- set paragraph attributes -->
         <t:call-template name='attributes'>
          <t:with-param name='name'> item_value </t:with-param>
         </t:call-template>
         <t:call-template name='attributes'>
          <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
          <t:with-param name='suff'> value </t:with-param>
         </t:call-template>

        <!-- own list item content - DD -->
        <t:value-of select='$content'/>
        <t:if test='$item_content!=0'>
         <t:apply-templates select='.' mode='item_content'/>
        </t:if>
         <!-- append error information, if any -->
        <t:if test='$dbg>0'>
         <t:if test='$dbg>2'>
          <fo:inline color='blue'> (<t:value-of select='$label_length'/>)</fo:inline>
         </t:if>
         <t:if test='$missing_dscr>0'>
          <fo:inline color='red'> - missing descr (Popis) attrinute</fo:inline>
         </t:if>
         <t:if test='$diff_own_dscr>0'>
          <fo:inline color='green'> - different own descr (Popis) for <fo:inline font-weight="bold"> <t:value-of select='$name'/> </fo:inline> </fo:inline>
         </t:if>
         <t:if test='$miss_own_dscr>0'>
          <fo:inline color='green'> - no own descr (Popis) for <fo:inline font-weight="bold"> <t:value-of select='$name'/> </fo:inline> </fo:inline>
         </t:if>
         <t:if test='$miss_dscr_len>0'>
          <fo:inline color='blue'> - no descr (Popis) length for <fo:inline font-weight="bold"> <t:value-of select='$name'/> </fo:inline> </fo:inline>
         </t:if>
        </t:if>

       </fo:block>
      </fo:list-item-body>
     </fo:list-item>
    </fo:list-block>

   </t:otherwise>
  </t:choose>

  <!-- report possibly bad calling parametrs -->
  <t:if test='$dbg>0 and $descr_indent+0!=$descr_indent'>  <!-- ~isNumber(...) -->
   <fo:block color='magenta'
    >Internal XSLT error - paramater <fo:inline font-style='italic'
    >descr_indent</fo:inline
    > must be plain number; not: <fo:inline font-weight='bold'
    > <t:value-of select='$descr_indent'/> </fo:inline>
   </fo:block>
  </t:if>
  <t:if test='$dbg>0 and $list_indent+0!=$list_indent'>  <!-- ~isNumber(...) -->
   <fo:block color='magenta'
    >Internal XSLT error - paramater <fo:inline font-style='italic'
    >list_indent</fo:inline
    > must be plain number; not: <fo:inline font-weight='bold'
    > <t:value-of select='$list_indent'/> </fo:inline>
   </fo:block>
  </t:if>

 </t:if>  <!-- generate block at all -->

<t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->

</t:template>


<!-- ########## other rules ############################################### -->

<!-- horizontal / inline space -->

<t:template name='hspace'>
 <t:param name='count'> 2 </t:param>
 <t:param name='unit'> <t:value-of select="1*$scale"/>mm </t:param>
 <t:if test='$count!="" and $unit!=""'>
  <fo:inline white-space-collapse="false">
   <t:attribute name='letter-spacing'>
    <t:value-of select='$count'/>
    <t:if test='$count>=0'> * <t:value-of select='$unit'/> </t:if>
   </t:attribute>
   <t:text> </t:text>
  </fo:inline>
 </t:if>
</t:template>

<!-- vertical / block space -->


<t:template name='vspace'>
 <t:param name='height'> <t:value-of select="1*$scale"/>cm</t:param>
 <t:param name='keep_with_previous'> 0 </t:param>
 <t:param name='keep_with_next'    > 0 </t:param>
 
 <t:call-template name='workaround_cell_beg'>  <!-- keep from page break table workaround -->
  <t:with-param name='keep_with_previous'> <t:value-of select='$keep_with_previous'/> </t:with-param>
  <t:with-param name='keep_with_next'    > <t:value-of select='$keep_with_next'    /> </t:with-param>
 </t:call-template>
 <fo:block space-before="{$height}" space-before.conditionality="retain"/>
 <t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->
</t:template>


<!-- ruler / hr -->

<t:template name='ruler'>  <!-- called from within fromatting table-cell -->
 <t:param name='name'> <t:value-of select='name()'/> </t:param>
 <t:param name='width'> 100% </t:param>
 <t:param name='keep_with_previous'> 0 </t:param>
 <t:param name='keep_with_next'    > 0 </t:param>
 <t:call-template name='workaround_cell_beg'>  <!-- keep from page break table workaround -->
  <t:with-param name='keep_with_previous'> <t:value-of select='$keep_with_previous'/> </t:with-param>
  <t:with-param name='keep_with_next'    > <t:value-of select='$keep_with_next'    /> </t:with-param>
 </t:call-template>
 <fo:block>
  <fo:leader leader-pattern="rule" leader-length="{$width}">
   <t:call-template name='attributes'>
    <t:with-param name='name'> <t:value-of select='$name'/> </t:with-param>
    <t:with-param name='suff'> rule </t:with-param>
   </t:call-template>
  </fo:leader>
 </fo:block>
 <t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->
</t:template>


<!-- ###################################################################### -->
<!-- ########## barcode support (code39 and code128) ###################### -->

<t:template name='code128_char'>
  <x n='0'   c=' ' f='&#x20AC;' />
  <x n='1'   c='!' />
  <x n='2'   c='"' />
  <x n='3'   c='#' />
  <x n='4'   c='$' />
  <x n='5'   c='%' />
  <x n='6'   c='&amp;' />
  <x n='7'   c="'" />
  <x n='8'   c='(' />
  <x n='9'   c=')' />
  <x n='10'  c='*' />
  <x n='11'  c='+' />
  <x n='12'  c=',' />
  <x n='13'  c='-' />
  <x n='14'  c='.' />
  <x n='15'  c='/' />
  <x n='16'  c='0' />
  <x n='17'  c='1' />
  <x n='18'  c='2' />
  <x n='19'  c='3' />
  <x n='20'  c='4' />
  <x n='21'  c='5' />
  <x n='22'  c='6' />
  <x n='23'  c='7' />
  <x n='24'  c='8' />
  <x n='25'  c='9' />
  <x n='26'  c=':' />
  <x n='27'  c=';' />
  <x n='28'  c='&lt;' />
  <x n='29'  c='=' />
  <x n='30'  c='&gt;' />
  <x n='31'  c='?' />
  <x n='32'  c='@' />
  <x n='33'  c='A' />
  <x n='34'  c='B' />
  <x n='35'  c='C' />
  <x n='36'  c='D' />
  <x n='37'  c='E' />
  <x n='38'  c='F' />
  <x n='39'  c='G' />
  <x n='40'  c='H' />
  <x n='41'  c='I' />
  <x n='42'  c='J' />
  <x n='43'  c='K' />
  <x n='44'  c='L' />
  <x n='45'  c='M' />
  <x n='46'  c='N' />
  <x n='47'  c='O' />
  <x n='48'  c='P' />
  <x n='49'  c='Q' />
  <x n='50'  c='R' />
  <x n='51'  c='S' />
  <x n='52'  c='T' />
  <x n='53'  c='U' />
  <x n='54'  c='V' />
  <x n='55'  c='W' />
  <x n='56'  c='X' />
  <x n='57'  c='Y' />
  <x n='58'  c='Z' />
  <x n='59'  c='[' />
  <x n='60'  c='\' />
  <x n='61'  c=']' />
  <x n='62'  c='^' />
  <x n='63'  c='_' />
  <x n='64'  c='`' />
  <x n='65'  c='a' />
  <x n='66'  c='b' />
  <x n='67'  c='c' />
  <x n='68'  c='d' />
  <x n='69'  c='e' />
  <x n='70'  c='f' />
  <x n='71'  c='g' />
  <x n='72'  c='h' />
  <x n='73'  c='i' />
  <x n='74'  c='j' />
  <x n='75'  c='k' />
  <x n='76'  c='l' />
  <x n='77'  c='m' />
  <x n='78'  c='n' />
  <x n='79'  c='o' />
  <x n='80'  c='p' />
  <x n='81'  c='q' />
  <x n='82'  c='r' />
  <x n='83'  c='s' />
  <x n='84'  c='t' />
  <x n='85'  c='u' />
  <x n='86'  c='v' />
  <x n='87'  c='w' />
  <x n='88'  c='x' />
  <x n='89'  c='y' />
  <x n='90'  c='z' />
  <x n='91'  c='{' />
  <x n='92'  c='|' />
  <x n='93'  c='}' />
  <x n='94'  c='~' />
  <x n='95'  c='DEL'     f='&#x2018;' />
  <x n='96'  c='FNC 3'   f='&#x2019;' />
  <x n='97'  c='FNC 2'   f='&#x201C;' />
  <x n='98'  c='SHIFT'   f='&#x201D;' />
  <x n='99'  c='CODE C'  f='&#x2022;' />
  <x n='100' c='FNC 4'   f='&#x2013;' />
  <x n='101' c='CODE A'  f='&#x2014;' />
  <x n='102' c='FNC 1'   f='&#x02DC;' />
  <x n='103' c='START A' f='&#x2122;' />
  <x n='104' c='START B' f='&#x161;' />
  <x n='105' c='START C' f='&#x203A;' />
  <x n='106' c='STOP'    f='&#x153;' />
  <x         n='?' comment='unknown n - must be at the end'/>
  <x n='0'         comment='unknown c - must be at the end'/>
</t:template>

<t:variable name='code128_char' select="document('')/t:stylesheet/t:template[@name='code128_char']"/>

<t:template name='encode128'>
 <t:param name='text'/>
 <t:param name='crc' select='number($code128_char/x[@c="START B"]/@n)'/>
 <t:param name='pos' select='1'/>
 <t:variable name='char' select='substring($text,1,1)'/>
 <t:choose>
  <t:when test='string-length($text)>0'>
   <t:variable name='cobj' select='$code128_char/x[@c=$char or not(@c)]'/>
   <t:variable name='fcod' select='concat($cobj/@f,$cobj[not(@f)]/@c)'/>
   <t:variable name='code' select='number($cobj/@n)'/>
   <t:value-of select='$fcod'/>
   <t:call-template name='encode128'>
    <t:with-param name='text'> <t:value-of select='substring($text,2)'/> </t:with-param>
    <t:with-param name='crc'> <t:value-of select='$crc + $pos * $code'/> </t:with-param>
    <t:with-param name='pos'> <t:value-of select='$pos+1'/> </t:with-param>
   </t:call-template>
  </t:when>
  <t:otherwise>
   <t:variable name='code' select='$crc mod 103'/>
   <t:variable name='cobj' select='$code128_char/x[@n=$code or not(@n)]'/>
   <t:value-of select='concat($cobj/@f,$cobj[not(@f)]/@c)'/>
  </t:otherwise>
 </t:choose>
</t:template>

<t:template name='barcode128_para'>
 <t:call-template name='attr_para'>
  <t:with-param name='content'>
   <t:value-of select='$code128_char/x[@c="START B"]/@f'/>
   <t:call-template name='encode128'>
    <t:with-param name='text'> <t:value-of select='.'/> </t:with-param>
   </t:call-template>
   <t:value-of select='$code128_char/x[@c="STOP"]/@f'/>
  </t:with-param>
 </t:call-template>
</t:template>

<t:template name='barcode39_para'>
 <t:call-template name='attr_para'>
  <t:with-param name='content'>
   <t:value-of select='concat("*",.,"*")'/>
  </t:with-param>
 </t:call-template>
</t:template>


<!-- ###################################################################### -->
<!-- ########## prevent page-breaks FOP workaround templates ############## -->

<t:template name='workaround_table_beg'>
 <t:if test='$wa_FOP_page_break>0 and count(ancestor::*)>0'>
  <t:text disable-output-escaping="yes">
   &lt;!-- ((( workaround table beg -->
   &lt;fo:table table-layout="fixed" width="100%">
    &lt;fo:table-column column-width="proportional-column-width(1)"/>
    &lt;fo:table-body>
    &lt;!-- workaround table beg ))) -->
  </t:text>
 </t:if>
</t:template>

<t:template name='workaround_table_end'>
 <t:if test='$wa_FOP_page_break>0 and count(ancestor::*)>0'>
  <t:text disable-output-escaping="yes">
    &lt;!-- ((( workaround table end -->
    &lt;/fo:table-body>
   &lt;/fo:table>  
   &lt;!-- workaround table end ))) -->
  </t:text>
 </t:if>
</t:template>

<t:template name='workaround_cell_beg'>
 <t:param name='keep_together'>      0 </t:param>
 <t:param name='keep_with_previous'> 0 </t:param>
 <t:param name='keep_with_next'>     0 </t:param>
 <t:if test='$wa_FOP_page_break>0 and count(ancestor::*)>0'>
  <t:text disable-output-escaping='yes'>
   &lt;!-- ((( workaround cell beg -->
   &lt;fo:table-row</t:text>
  <t:if test='$keep_together!=0'>
   <t:text> keep-together="always" keep-together.within-line="auto"</t:text>
  </t:if>
  <t:if test='$keep_with_previous!=0'>
   <t:text> keep-with-previous="always" keep-with-previous.within-line="auto"</t:text>
  </t:if>
  <t:if test='$keep_with_next!=0'>
   <t:text> keep-with-next="always" keep-with-next.within-line="auto"</t:text>
  </t:if>
  <t:text disable-output-escaping="yes">>
    &lt;fo:table-cell</t:text>
  <t:if test='number($fop95)'> <t:text> margin="0mm"</t:text> </t:if>
  <t:text disable-output-escaping="yes">>
    &lt;!-- workaround cell beg ))) -->
  </t:text>
 </t:if>
</t:template>

<t:template name='workaround_cell_beg_simple'>
 <t:if test='$wa_FOP_page_break>0 and count(ancestor::*)>0'>
  <t:text disable-output-escaping='yes'>
   &lt;!-- ((( workaround cell beg -->
   &lt;fo:table-row>
    &lt;fo:table-cell</t:text>
  <t:if test='number($fop95)'> <t:text> margin="0mm"</t:text> </t:if>
  <t:text disable-output-escaping="yes">>
    &lt;!-- workaround cell beg ))) -->
  </t:text>
 </t:if>
</t:template>

<t:template name='workaround_cell_end'>
 <t:if test='$wa_FOP_page_break>0 and count(ancestor::*)>0'>
  <t:text disable-output-escaping="yes">
    &lt;!-- ((( workaround cell end -->
    &lt;/fo:table-cell>
   &lt;/fo:table-row>
   &lt;!-- workaround cell end ))) -->
  </t:text>
 </t:if>
</t:template>


<!-- ###################################################################### -->
<!-- ########## debugging support templates ############################### -->

<!-- ########## background visualization ################################## -->
<t:template name='background_visualization'>
 <t:param name='pref'/>
 <t:param name='name'/>
 <t:param name='suff'/>

 <t:variable name='from_name'>
  <t:variable name='comp'>  <!-- 0 or 20 -->
   <t:if test='contains($name,"-") or contains($name,"_")'>2</t:if>
   <t:text>0</t:text>
  </t:variable>
  <t:value-of select='string-length($pref)+string-length($name)+string-length($suff)+$comp'/>
 </t:variable>

 <t:variable name='from_hist'>
  <t:value-of select='count(ancestor::*)+count(preceding::*)'/>
 </t:variable>

 <t:variable name='from_cont'>
  <t:value-of select='count(attribute::*)+string-length(attribute::*)+string-length(.)'/>
 </t:variable>

 <t:variable name='r'> <t:value-of select='$from_name * 12345           mod 56 + 200'/> </t:variable>
 <t:variable name='g'> <t:value-of select='$from_hist * 12345 *  $r     mod 56 + 200'/> </t:variable>
 <t:variable name='b'> <t:value-of select='$from_cont * 12345 * ($r+$g) mod 56 + 200'/> </t:variable>
 <t:attribute name='background-color'
  >rgb(<t:value-of select='$r'/>,<t:value-of select='$g'/>,<t:value-of select='$b'/>)</t:attribute>
 <t:attribute name='border-style'> solid </t:attribute>
 <t:attribute name='border-width'> <t:value-of select="0.1*$scale"/>mm</t:attribute>
 <t:attribute name='padding'> 0mm </t:attribute>
</t:template>


<!-- ########## comment beg & end ######################################### -->

<t:template name='comment_beg'>
 <t:param name='name'> <t:value-of select='name()'/> </t:param>
 <t:call-template name='newline'/>
 <t:comment> ########## <t:value-of select='$name'/> - begin </t:comment>
 <t:call-template name='newline'/>
</t:template>

<t:template name='comment_end'>
 <t:param name='name'> <t:value-of select='name()'/> </t:param>
 <t:call-template name='newline'/>
 <t:comment> ########## <t:value-of select='$name'/> - end </t:comment>
 <t:call-template name='newline'/>
</t:template>


<!-- ########## named template for seeking unknown elements ############### -->

<t:template name='check_elem_flow'>  <!-- when not inside a flow -->
 <t:param name='context'/>
 <t:param name='required'/>
 <t:param name='optional'/>
 <t:if test='$dbg>0'>
  <t:variable name='content'>  <!-- just text if there is any -->
   <t:call-template name='check_elem'>
    <t:with-param name='context'>  <t:value-of select='$context'/>  </t:with-param>
    <t:with-param name='required'> <t:value-of select='$required'/> </t:with-param>
    <t:with-param name='optional'> <t:value-of select='$optional'/> </t:with-param>
   </t:call-template>
  </t:variable>
  <t:if test='$content!=""'>  <!-- report the problem, if it exists -->
   <fo:page-sequence master-reference="body_page" force-page-count="no-force">
    <fo:flow flow-name="xsl-region-body">
     <t:call-template name='workaround_table_beg'/>  <!-- keep from page break table workaround -->
     <t:call-template name='check_elem'>
      <t:with-param name='context'>  <t:value-of select='$context'/>  </t:with-param>
      <t:with-param name='required'> <t:value-of select='$required'/> </t:with-param>
      <t:with-param name='optional'> <t:value-of select='$optional'/> </t:with-param>
     </t:call-template>
     <t:call-template name='workaround_table_end'/>  <!-- keep from page break table workaround -->
    </fo:flow>
   </fo:page-sequence>
  </t:if>
 </t:if>
</t:template>

<t:template name='check_elem'>
 <t:param name='context'/>
 <t:param name='required'/>
 <t:param name='optional'/>
 <t:param name='no_wa_table' select='false()'/>
 <t:param name='keep_with_next'> 0 </t:param>
 <t:if test='$dbg>0'>
  <t:if test='not(string($no_wa_table)="" or number($no_wa_table))'>
   <t:call-template name='workaround_cell_beg'>  <!-- keep from page break table workaround -->
    <t:with-param name='keep_with_previous'/>
    <t:with-param name='keep_with_next'><t:value-of select='$keep_with_next'/></t:with-param>
   </t:call-template>
  </t:if>
  <fo:block>
   <t:if test='$required!=""'>
    <t:variable name='present'>
     <t:for-each select='*'>
      <t:text> </t:text> <t:value-of select='name()'/>
     </t:for-each>
     <t:for-each select='@*'>
      <t:text> @</t:text> <t:value-of select='name()'/>
     </t:for-each>
     <t:text> </t:text>
    </t:variable>
    <t:call-template name='check_elem_required'>
     <t:with-param name='context'> <t:value-of select='$context'/> </t:with-param>
     <t:with-param name='lst'> <t:value-of select='concat(normalize-space($required)," ")'/> </t:with-param>
     <t:with-param name='all'> <t:value-of select='$present'/> </t:with-param>
    </t:call-template>
   </t:if>
   <t:variable name='list'>
    <t:value-of select='concat(" @descr @Popis @no_info ",
                               normalize-space($required)," ",
                               normalize-space($optional)," ")'/>
   </t:variable>
   <t:apply-templates select='@*[not(contains($list,concat(" @",name()," ")))]'
                      mode='check_elem_allowed'>
    <t:with-param name='context'> <t:value-of select='$context'/> </t:with-param>
   </t:apply-templates>
   <t:apply-templates select='*[not(contains($list,concat(" ",name()," ")))]'
                      mode='check_elem_allowed'>
    <t:with-param name='context'> <t:value-of select='$context'/> </t:with-param>
   </t:apply-templates>
  </fo:block>
  <t:if test='not(string($no_wa_table)="" or number($no_wa_table))'>
   <t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->
  </t:if>
 </t:if>
</t:template>


<!-- ########## debug information for unknown elements & attributes ####### -->

<t:template name='pathname'>
 <t:for-each select='ancestor-or-self::*'>
  <t:text>/</t:text> <t:value-of select='name()'/>
  <t:variable name='cnt' select='count(../*[name()=name(current())])'/>
  <t:if test='$cnt>1'>[<t:number/>/<t:value-of select='$cnt'/>]</t:if>
 </t:for-each>
</t:template>

<t:template match='*' mode='check_elem_allowed'>
 <t:param name='context'/>
 <t:if test='$dbg>0'>
  <fo:block space-before="{2*$scale}mm" space-after="{2*$scale}mm"
            space-before.conditionality="retain" space-after.conditionality="retain"
            font-weight="normal" font-style="normal" text-decoration="none">
   <fo:block color="red"
    >Unknown element: <fo:inline font-weight="bold"><t:value-of select='name()'/></fo:inline
    > (<t:call-template name='pathname'/>)</fo:block>
   <t:if test='count(*)>0'>
    <fo:block color="orange"
              start-indent="inherited-property-value(start-indent)+{$fo_label_sep}"
     >with sub-elements: <t:for-each select='descendant::*'>
      <t:if test='position()>1'>, </t:if>
      <t:value-of select='name()'/>
     </t:for-each>
    </fo:block>
   </t:if>
   <fo:block color="blue">
    <t:value-of select='.'/>
   </fo:block>
   <t:if test='$context!=""'>
    <fo:block color="orange">found within template <fo:inline font-weight="bold"
     ><t:value-of select='$context'/></fo:inline>
    </fo:block>
   </t:if>
  </fo:block>
 </t:if>
</t:template>

<t:template match='@*' mode='check_elem_allowed'>
 <t:param name='context'/>
 <t:if test='$dbg>0'>
  <fo:block space-before="{2*$scale}mm" space-after="{2*$scale}mm"
            space-before.conditionality="retain" space-after.conditionality="retain">
   <fo:block color="red"
    >Unknown attribute: <fo:inline font-weight="bold"><t:value-of select='name()'/></fo:inline
    > (<t:call-template name='pathname'/>/@<t:value-of select='name()'/>)</fo:block>
   <fo:block color="blue">
   <t:value-of select='.'/>
   </fo:block>
   <t:if test='$context!=""'>
    <fo:block color="orange">found within template <fo:inline font-weight="bold"
     ><t:value-of select='$context'/></fo:inline>
    </fo:block>
   </t:if>
  </fo:block>
 </t:if>
</t:template>

<t:template name='check_elem_required'>
 <t:param name='context'/>
 <t:param name='lst'/>
 <t:param name='all'/>
 <t:variable name='itm'>
  <t:value-of select='substring-before($lst," ")'/>
 </t:variable>
 <t:if test='not( contains($all, concat(" ", $itm, " ")))'>
  <fo:block space-before="{2*$scale}mm" space-after="{2*$scale}mm"
            space-before.conditionality="retain" space-after.conditionality="retain">
   <fo:block color="red">
    <t:choose>
     <t:when test='starts-with($itm,"@")'
      >Missing attribute: <fo:inline font-weight="bold"><t:value-of select='substring-after($itm,"@")'/></fo:inline> </t:when>
     <t:otherwise
      >Missing child element: <fo:inline font-weight="bold"><t:value-of select='$itm'/></fo:inline> </t:otherwise>
    </t:choose
    > (in <t:call-template name='pathname'/>)</fo:block>
   <t:if test='$context!=""'>
    <fo:block color="orange">found within template <fo:inline font-weight="bold"
     ><t:value-of select='$context'/></fo:inline>
    </fo:block>
   </t:if>
  </fo:block>
 </t:if>
 <t:variable name='rest'>
  <t:value-of select='substring-after($lst," ")'/>
 </t:variable>
 <t:if test='$rest!=""'>
  <t:call-template name='check_elem_required'>
   <t:with-param name='lst'> <t:value-of select='$rest'/> </t:with-param>
   <t:with-param name='all'> <t:value-of select='$all'/> </t:with-param>
   <t:with-param name='context'> <t:value-of select='$context'/> </t:with-param>
  </t:call-template>
 </t:if>
</t:template>


<!-- ########## auxilliary / debugging output ############################# -->

<t:template match='@debugshow'>
 <fo:block-container position="absolute"
                     height="{1*$scale}cm" width="{5*$scale}cm" top="{-1*$scale}cm" left="{-1*$scale}cm" >
  <t:call-template name='workaround_table_beg'/>  <!-- keep from page break table workaround -->
  <t:call-template name='attr_para'/>
  <t:call-template name='workaround_table_end'/>  <!-- keep from page break table workaround -->
 </fo:block-container>
</t:template>

<!-- catch widow element calls, with modes too -->

<t:template match='*' name='widow'>
 <t:param name='mode'/>
 <t:if test='$dbg>0'>
  <t:if test='not(ancestor::html_odst)'>  <!-- condition needed for dopis_fo template -->
   <t:call-template name='workaround_cell_beg'/>  <!-- keep from page break table workaround -->
  </t:if> 
  <t:apply-templates select='.' mode='check_elem_allowed'>
   <t:with-param name='context'>match='*'<t:if test='$mode!=""'
    > mode='<t:value-of select='normalize-space($mode)'/>' </t:if
    > - for widow elements</t:with-param>
  </t:apply-templates>
  <t:if test='not(ancestor::html_odst)'>  <!-- condition needed for dopis_fo template -->
   <t:call-template name='workaround_cell_end'/>  <!-- keep from page break table workaround -->
  </t:if> 
 </t:if>
</t:template>

<t:template match='*' mode='list_cont'>
 <t:call-template name='widow'> <t:with-param name='mode'> list_cont </t:with-param> </t:call-template>
</t:template>

<!-- future / extra feature support -->

<t:template match='pdf_prop'>
 <t:for-each select='*'>
  &lt;o:<t:value-of select='name()'
  />&gt;<t:value-of select='.'
  />&lt;/o:<t:value-of select='name()'
  />&gt;</t:for-each>
</t:template>

<t:template name='newline'>
<t:text>
</t:text>
</t:template>


</t:stylesheet>